/*******************************************************************************
* Copyright (C) 2019 China Micro Semiconductor Limited Company. All Rights Reserved.
*
* This software is owned and published by:
* CMS LLC, No 2609-10, Taurus Plaza, TaoyuanRoad, NanshanDistrict, Shenzhen, China.
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software contains source code for use with CMS
* components. This software is licensed by CMS to be adapted only
* for use in systems utilizing CMS components. CMS shall not be
* responsible for misuse or illegal use of this software for devices not
* supported herein. CMS is providing this software "AS IS" and will
* not be responsible for issues arising from incorrect user implementation
* of the software.
*
* This software may be replicated in part or whole for the licensed use,
* with the restriction that this Disclaimer and Copyright notice must be
* included with each copy of this software, whether used in part or whole,
* at all times.
*/

/*****************************************************************************/
/** \file adca.h
**
** History:
** 
*****************************************************************************/
#ifndef __ADCA_H_
#define __ADCA_H_

#ifdef __cplusplus
extern "C"
{
#endif

/*****************************************************************************/
/* Include files */
/*****************************************************************************/
#include "cms32f0332.h"
/*****************************************************************************/
/* Global pre-processor symbols/macros ('#define') */
/*****************************************************************************/
/*----------------------------------------------------------------------------
 **ADCA ʱ
-----------------------------------------------------------------------------*/
#define		ADCA_CLK_DIV_1		(0x0UL)			/*Fadc = Fapb / 1*/
#define		ADCA_CLK_DIV_2		(0x1UL)			/*Fadc = Fapb / 2*/
#define		ADCA_CLK_DIV_4		(0x2UL)			/*Fadc = Fapb / 4*/			
#define		ADCA_CLK_DIV_8		(0x3UL)			/*Fadc = Fapb / 8*/
#define		ADCA_CLK_DIV_16		(0x4UL)			/*Fadc = Fapb / 16*/			
#define		ADCA_CLK_DIV_32		(0x5UL)			/*Fadc = Fapb / 32*/
#define		ADCA_CLK_DIV_64		(0x6UL)			/*Fadc = Fapb / 64*/
#define		ADCA_CLK_DIV_128	(0x7UL)			/*Fadc = Fapb / 128*/
/*----------------------------------------------------------------------------
 **ADCA תģʽ
-----------------------------------------------------------------------------*/
#define		ADCA_CONVERT_SINGLE				(0x0UL)			/*ִָͨһA/D ת*/
#define		ADCA_CONVERT_CONTINUOUS			(0x1UL<<ADCA_CON_ADCMS_Pos)	/*ѡִͨA/D ת*/

#define 	ADCA_SWITCH_HARDWARE			(0x00)			/*ӲԶлͨ*/
#define 	ADCA_SWITCH_SOFTWARE			(0x01<<ADCA_CON_ADCSWCHE_Pos)  /*лͨ*/
/*----------------------------------------------------------------------------
 **ADCA ⲿѡ
-----------------------------------------------------------------------------*/
#define		ADCA_TG_EXT_FALLING			((0x0UL)|ADCA_HWTG_ADCEXTTEN_Msk)		/*ⲿӲ½ش*/		
#define		ADCA_TG_EXT_RISING			((0x1UL<<ADCA_HWTG_ADCEXTTES_Pos)|ADCA_HWTG_ADCEXTTEN_Msk)	/*ⲿӲش*/		

/*----------------------------------------------------------------------------
 **ADCA ڲԴѡ
-----------------------------------------------------------------------------*/
#define		ADCA_TG_INTNEL_ADCA				(0x0UL | ADCA_HWTG_ADCINTTGEN_Msk)		/*ڲADCA*/		
#define		ADCA_TG_INTNEL_ADCB				((0x1UL<<ADCA_HWTG_ADCINTTGSS_Pos)| ADCA_HWTG_ADCINTTGEN_Msk)	/*ڲADCB*/		
#define		ADCA_TG_INTNEL_TMR0				((0x4UL<<ADCA_HWTG_ADCINTTGSS_Pos)| ADCA_HWTG_ADCINTTGEN_Msk)	/*ڲTMR0ʹжϴ*/				
#define		ADCA_TG_INTNEL_TMR1				((0x5UL<<ADCA_HWTG_ADCINTTGSS_Pos)| ADCA_HWTG_ADCINTTGEN_Msk)	/*ڲTMR1ʹжϴ*/	
#define		ADCA_TG_INTNEL_TMR2				((0x6UL<<ADCA_HWTG_ADCINTTGSS_Pos)| ADCA_HWTG_ADCINTTGEN_Msk)	/*ڲTMR2ʹжϴ*/				
#define		ADCA_TG_INTNEL_TMR3				((0x7UL<<ADCA_HWTG_ADCINTTGSS_Pos)| ADCA_HWTG_ADCINTTGEN_Msk)	/*ڲTMR3ʹжϴ*/	

/*----------------------------------------------------------------------------
 **ADCA ͨ
-----------------------------------------------------------------------------*/
#define		ADCA_CH_0					(0x0UL)			
#define		ADCA_CH_1					(0x1UL)	
#define		ADCA_CH_2					(0x2UL)			
#define		ADCA_CH_3					(0x3UL)			
#define		ADCA_CH_4					(0x4UL)		
#define		ADCA_CH_5					(0x5UL)			
#define		ADCA_CH_6					(0x6UL)	
#define		ADCA_CH_7					(0x7UL)			
#define		ADCA_CH_8					(0x8UL)			
#define		ADCA_CH_9					(0x9UL)		
#define		ADCA_CH_10					(0xAUL)			
#define		ADCA_CH_11					(0xBUL)	
#define		ADCA_CH_12					(0xCUL)			
#define		ADCA_CH_13					(0xDUL)			
#define		ADCA_CH_14					(0xEUL)		
#define		ADCA_CH_15					(0xFUL)			
#define		ADCA_CH_16					(0x10UL)	
#define		ADCA_CH_17					(0x11UL)			
#define		ADCA_CH_18					(0x12UL)			
#define		ADCA_CH_19					(0x13UL)
#define		ADCA_CH_20					(0x14UL)	
#define		ADCA_CH_21					(0x15UL)			
#define		ADCA_CH_22					(0x16UL)			
#define		ADCA_CH_23					(0x17UL)
#define		ADCA_CH_24					(0x18UL)
#define		ADCA_CH_25					(0x19UL)
#define		ADCA_CH_26					(0x1AUL)
#define		ADCA_CH_27					(0x1BUL)
#define		ADCA_CH_28					(0x1CUL)
#define		ADCA_CH_29					(0x1DUL)
#define		ADCA_CH_30					(0x1EUL)


#define		ADCA_CH_0_MSK				(0x1UL)			
#define		ADCA_CH_1_MSK				(0x2UL)	
#define		ADCA_CH_2_MSK				(0x4UL)			
#define		ADCA_CH_3_MSK				(0x8UL)			
#define		ADCA_CH_4_MSK				(0x10UL)		
#define		ADCA_CH_5_MSK				(0x20UL)			
#define		ADCA_CH_6_MSK				(0x40UL)	
#define		ADCA_CH_7_MSK				(0x80UL)			
#define		ADCA_CH_8_MSK				(0x100UL)			
#define		ADCA_CH_9_MSK				(0x200UL)		
#define		ADCA_CH_10_MSK				(0x400UL)			
#define		ADCA_CH_11_MSK				(0x800UL)	
#define		ADCA_CH_12_MSK				(0x1000UL)			
#define		ADCA_CH_13_MSK				(0x2000UL)			
#define		ADCA_CH_14_MSK				(0x4000UL)		
#define		ADCA_CH_15_MSK				(0x8000UL)			
#define		ADCA_CH_16_MSK				(0x10000UL)	
#define		ADCA_CH_17_MSK				(0x20000UL)			
#define		ADCA_CH_18_MSK				(0x40000UL)			
#define		ADCA_CH_19_MSK				(0x80000UL)

#define		ADCA_CH_20_MSK				(0x100000UL)			
#define		ADCA_CH_21_MSK				(0x200000UL)	
#define		ADCA_CH_22_MSK				(0x400000UL)			
#define		ADCA_CH_23_MSK				(0x800000UL)			
#define		ADCA_CH_24_MSK				(0x1000000UL)		
#define		ADCA_CH_25_MSK				(0x2000000UL)			
#define		ADCA_CH_26_MSK				(0x4000000UL)	
#define		ADCA_CH_27_MSK				(0x8000000UL)			
#define		ADCA_CH_28_MSK				(0x10000000UL)			
#define		ADCA_CH_29_MSK				(0x20000000UL)
#define		ADCA_CH_30_MSK				(0x40000000UL)


/*----------------------------------------------------------------------------
 **ADCA  AN30ѡ
-----------------------------------------------------------------------------*/
#define    ADCA_AN30_SEL_BG				(0x0UL)			/*ڲBG*/
#define    ADCA_AN30_SEL_OP0O			(0x1UL)			/*OP0*/
#define    ADCA_AN30_SEL_OP1O			(0x2UL)			/*OP1*/
#define    ADCA_AN30_SEL_PGA0O			(0x3UL)			/*PGA0*/
#define    ADCA_AN30_SEL_PGA1O			(0x4UL)			/*PGA1*/
#define    ADCA_AN30_SEL_VSS			(0x5UL)			/*VSS*/
#define    ADCA_AN30_SEL_AVDD			(0x6UL)			/*ADCοVDD*/
#define    ADCA_AN30_SEL_AVSS			(0x7UL)			/*ADCοVSS*/

/*----------------------------------------------------------------------------
 **ADCA  ʱ
-----------------------------------------------------------------------------*/
#define    ADCA_SAMPLE_8			(0x0UL)			
#define    ADCA_SAMPLE_4			(0x1UL)		

/*----------------------------------------------------------------------------
 **ADCA   Ƚ
-----------------------------------------------------------------------------*/
#define		ADCA_CMP_LESS_THAN_RESULT		(0x00UL)		/*ADC <Ԥֵ*/
#define		ADCA_CMP_NOT_LESS_THAN_RESULT	(0x01UL<<ADCA_CMP0_CMP0COND_Pos)	/*ADC >=Ԥֵ*/

/*----------------------------------------------------------------------------
 **ADCA   д
-----------------------------------------------------------------------------*/
#define		ADCA_LOCK_WRITE_KEY		(0x55UL)


/*****************************************************************************
 ** \brief	ADCA_IS_BUSY
 **			ȡADCAת/б־λ
 ** \param [in] none
 ** \return  1æ   0/ת
 ** \note	 
*****************************************************************************/
#define	ADCA_IS_BUSY()		((ADCA->CON2&ADCA_CON2_ADCST_Msk)? 1:0)

/*****************************************************************************
 ** \brief	ADCA_Go
 **			ADCAת
 ** \param [in] none
 ** \return  none
 ** \note	 
*****************************************************************************/
__STATIC_INLINE	void ADCA_Go(void)
{
	ADCA->LOCK = ADCA_LOCK_WRITE_KEY;
	ADCA->CON2 |= ADCA_CON2_ADCST_Msk;
	ADCA->LOCK = 0x00;
}


/*****************************************************************************/
/* Global type definitions ('typedef') */
/*****************************************************************************/


/*****************************************************************************/
/* Global variable declarations ('extern', definition in C source) */
/*****************************************************************************/


/*****************************************************************************/
/* Global function prototypes ('extern', definition in C source) */
/*****************************************************************************/

/*****************************************************************************
 ** \brief	ADCA_ConfigRunMode
 **			ADCAģʽ
 ** \param [in] ConvertMode:(1)ADCA_CONVERT_SINGLE			
 **							(2)ADCA_CONVERT_CONTINUOUS
 **				ChannelSwitch: (1)ADCA_SWITCH_HARDWARE
 **							   (2)ADCA_SWITCH_SOFTWARE
 **				ClkDiv :(1)ADCA_CLK_DIV_1
 **						(2)ADCA_CLK_DIV_2
 **						(3)ADCA_CLK_DIV_4
 **						(4)ADCA_CLK_DIV_8
 **						(5)ADCA_CLK_DIV_16
 **						(6)ADCA_CLK_DIV_32
 **						(7)ADCA_CLK_DIV_64
 **						(8)ADCA_CLK_DIV_128
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCA_ConfigRunMode(uint32_t ConvertMode,uint32_t ChannelSwitch, uint32_t ClkDiv);

/*****************************************************************************
 ** \brief	ADCA_EnableChannel
 **			ADCAתͨ
 ** \param [in] ChannelMask: ADCA_CH_0_MSK ~ ADCA_CH_30_MSK
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCA_EnableChannel(uint32_t ChannelMask);
/*****************************************************************************
 ** \brief	ADCA_AN30Select
 **			AN30ͨѡ
 ** \param [in] AN30Sel : (1)ADCA_AN30_SEL_BG
 **						  (2)ADCA_AN30_SEL_OP0O
 **						  (3)ADCA_AN30_SEL_OP1O
 **						  (4)ADCA_AN30_SEL_PGA0O
 **						  (5)ADCA_AN30_SEL_PGA1O
 **						  (6)ADCA_AN30_SEL_VSS
 **						  (7)ADCA_AN30_SEL_AVDD
 **						  (8)ADCA_AN30_SEL_AVSS
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCA_AN30Select(uint32_t AN30Sel);

/*****************************************************************************
 ** \brief	ADCA_DisableChannel
 **			رADCAתͨ
 ** \param [in] ChannelMask: ADCA_CH_0_MSK ~ ADCA_CH_30_MSK
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCA_DisableChannel(uint32_t ChannelMask);

/*****************************************************************************
 ** \brief	ADCA_ConfigSampleTime
 **			òʱ
 ** \param [in] SampleTime: ADCA_SAMPLE_8ADCA_SAMPLE_4
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCA_ConfigSampleTime(uint32_t SampleTime);


/*****************************************************************************
 ** \brief	ADCA_SelSoftwareSwitchChannel
 **			ѡлתͨ
 ** \param [in] Channel: ADCA_CH_0 ~ ADCA_CH_30
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCA_SelSoftwareSwitchChannel(uint32_t Channel);

/*****************************************************************************
 ** \brief	ADCA_GetResult
 **			ȡADCAת
 ** \param [in] Channel: ADCA_CH_0 ~ ADCA_CH_30
 ** \return  12 bits Value
 ** \note	
*****************************************************************************/
uint32_t ADCA_GetResult(uint32_t Channel);

/*****************************************************************************
 ** \brief	ADCA_EnableHardwareTrigger
 **			ӲADCAת
 ** \param [in] TriggerSource: (1)ADCA_TG_EXT_FALLING
 **							(2)ADCA_TG_EXT_RISING
 **							(3)ADCA_TG_INTNEL_ADCA
 **							(4)ADCA_TG_INTNEL_ADCB
 **							(5)ADCA_TG_INTNEL_TMR0
 **							(6)ADCA_TG_INTNEL_TMR1
 **							(7)ADCA_TG_INTNEL_TMR2
 **							(8)ADCA_TG_INTNEL_TMR3
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCA_EnableHardwareTrigger(uint32_t TriggerSource);
/*****************************************************************************
 ** \brief	ADCA_DisableHardwareTrigger
 **			رӲADCAת
 ** \param [in] TriggerSource: (1)ADCA_TG_EXT_FALLING
 **							(2)ADCA_TG_EXT_RISING
 **							(3)ADCA_TG_INTNEL_ADCA
 **							(4)ADCA_TG_INTNEL_ADCB
 **							(5)ADCA_TG_INTNEL_TMR0
 **							(6)ADCA_TG_INTNEL_TMR1
 **							(7)ADCA_TG_INTNEL_TMR2
 **							(8)ADCA_TG_INTNEL_TMR3
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCA_DisableHardwareTrigger(uint32_t TriggerSource);

/*****************************************************************************
 ** \brief	ADCA_EnableCompare
 **			ADCAȽϹ
 ** \param [in] none
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCA_EnableCompare(void);
/*****************************************************************************
 ** \brief	ADCA_DisableCompare
 **			رADCAȽϹ
 ** \param [in] none
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCA_DisableCompare(void);
/*****************************************************************************
 ** \brief	ADCA_ConfigCompare
 **			ADCAȽϹ
 ** \param [in] CmpMode:(1)ADCA_CMP_LESS_THAN_RESULT
 **						(2)ADCA_CMP_NOT_LESS_THAN_RESULT
 **				 CmpCount: 0x00~0xf  ԤȽϴ
 **				 CmpChannel: ADCA_CH_0 ~ ADCA_CH_30
 **				 CmpData : 12 bit Ƚֵ
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCA_ConfigCompare(uint32_t CmpMode, uint32_t CmpCount,  
						uint32_t CmpChannel, uint32_t CmpData);

/*****************************************************************************
 ** \brief	ADCA_GetCompareResult
 **			ȡADCAȽ
 ** \param [in] none
 ** \return  1 /0
 ** \note	
*****************************************************************************/
uint32_t ADCA_GetCompareResult(void);



/*****************************************************************************
 ** \brief	ADCA_EnableCompareInt
 **			ADCAȽж
 ** \param [in] none
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCA_EnableCompareInt(void);
/*****************************************************************************
 ** \brief	ADCA_DisableCompareInt
 **			رADCAȽж
 ** \param [in] none
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCA_DisableCompareInt(void);
/*****************************************************************************
 ** \brief	ADCA_GetCompareIntFlag
 **			ȡADCAȽжʹܲҲжϱ־λ
 ** \param [in] none
 ** \return  1:жʹܲҲж 0ж
 ** \note	
*****************************************************************************/
uint32_t ADCA_GetCompareIntFlag(void);
/*****************************************************************************
 ** \brief	ADCA_ClearCompareIntFlag
 **			ADCAȽжϱ־λ
 ** \param [in] none
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCA_ClearCompareIntFlag(void);

/*****************************************************************************
 ** \brief	ADCA_EnableChannelInt
 **			ADCAͨnж
 ** \param [in] ChannelMask: ADCA_CH_0_MSK ~ ADCA_CH_30_MSK
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCA_EnableChannelInt(uint32_t ChannelMask);
/*****************************************************************************
 ** \brief	ADCA_DisableChannelInt
 **			رADCAͨnж
 ** \param [in] ChannelMask: ADCA_CH_0_MSK ~ ADCA_CH_30_MSK
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCA_DisableChannelInt(uint32_t ChannelMask);
/*****************************************************************************
 ** \brief	ADCA_GetChannelIntFlag
 **			ȡADCAͨnжʹܲҲжϱ־λ
 ** \param [in] Channel:ADCA_CH_0 ~ ADCA_CH_30
 ** \return  1:жʹܲҲж 0ж
 ** \note	
*****************************************************************************/
uint32_t ADCA_GetChannelIntFlag(uint32_t Channel);
/*****************************************************************************
 ** \brief	ADCA_ClearChannelIntFlag
 **			ADCAͨnжϱ־λ
 ** \param [in] Channel:ADCA_CH_0 ~ ADCA_CH_30
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCA_ClearChannelIntFlag(uint32_t Channel);

/*****************************************************************************
 ** \brief	ADCA_Start
 **			ADCA
 ** \param [in] none
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCA_Start(void);
/*****************************************************************************
 ** \brief	ADCA_Stop
 **			رADCA
 ** \param [in] none
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCA_Stop(void);




#ifdef __cplusplus
}
#endif

#endif /* __ADCA_H_ */

