/*******************************************************************************
* Copyright (C) 2019 China Micro Semiconductor Limited Company. All Rights Reserved.
*
* This software is owned and published by:
* CMS LLC, No 2609-10, Taurus Plaza, TaoyuanRoad, NanshanDistrict, Shenzhen, China.
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software contains source code for use with CMS
* components. This software is licensed by CMS to be adapted only
* for use in systems utilizing CMS components. CMS shall not be
* responsible for misuse or illegal use of this software for devices not
* supported herein. CMS is providing this software "AS IS" and will
* not be responsible for issues arising from incorrect user implementation
* of the software.
*
* This software may be replicated in part or whole for the licensed use,
* with the restriction that this Disclaimer and Copyright notice must be
* included with each copy of this software, whether used in part or whole,
* at all times.
*/

/*****************************************************************************/
/** \file adc1.h
**
** History:
** 
*****************************************************************************/
#ifndef __ADCB_H_
#define __ADCB_H_

#ifdef __cplusplus
extern "C"
{
#endif

/*****************************************************************************/
/* Include files */
/*****************************************************************************/
#include "cms32f0332.h"
/*****************************************************************************/
/* Global pre-processor symbols/macros ('#define') */
/*****************************************************************************/
/*----------------------------------------------------------------------------
 **ADCB οԴ
-----------------------------------------------------------------------------*/
#define  ADCB_VREF_VDD		(0x00UL)                       /*οԴѡVDD*/

/*----------------------------------------------------------------------------
 **ADCB תģʽ
-----------------------------------------------------------------------------*/
#define 	ADCB_MODE_HIGH		(0x00UL)						/*תģʽ*/
#define 	ADCB_MODE_LOW		(0x03UL<<ADCB_CON_ADMODE10_Pos)	/*͵ģʽ*/

#define 	ADCB_CONVERT_SINGLE		(0x00UL)						/*ģʽ*/
#define 	ADCB_CONVERT_CONTINUOUS		(0x01UL<<ADCB_CON_ADCMS_Pos)	/*ģʽ*/

#define 	ADCB_SWITCH_HARDWARE	(0x00UL)						/*ӲԶлģʽ*/
#define 	ADCB_SWITCH_SOFTWARE	(0x1UL<<ADCB_CON_ADCSWCHE_Pos)	/*лģʽ*/

/*----------------------------------------------------------------------------
 **ADCB ʱӷƵ
-----------------------------------------------------------------------------*/
#define 	ADCB_CLK_DIV_1		(0x00UL)			/*ADCB ʱӷƵΪ 1*/
#define 	ADCB_CLK_DIV_2		(0x01UL)			/*ADCB ʱӷƵΪ 2*/
#define 	ADCB_CLK_DIV_4		(0x02UL)			/*ADCB ʱӷƵΪ 4*/
#define 	ADCB_CLK_DIV_8		(0x03UL)			/*ADCB ʱӷƵΪ 8*/
#define 	ADCB_CLK_DIV_16		(0x04UL)			/*ADCB ʱӷƵΪ 16*/
#define 	ADCB_CLK_DIV_32		(0x05UL)			/*ADCB ʱӷƵΪ 32*/
#define 	ADCB_CLK_DIV_64		(0x06UL)			/*ADCB ʱӷƵΪ 64*/
#define 	ADCB_CLK_DIV_128	(0x07UL)			/*ADCB ʱӷƵΪ 128*/

/*----------------------------------------------------------------------------
 **ADCB 硢ŵʱ
-----------------------------------------------------------------------------*/
#define 	ADCB_CG_2			(0x02UL)				/* 2*ADCCLK*/
#define 	ADCB_CG_3			(0x03UL)				/* 3*ADCCLK*/
#define 	ADCB_CG_4			(0x04UL)				/* 4*ADCCLK*/
#define 	ADCB_CG_5			(0x05UL)				/* 5*ADCCLK*/
#define 	ADCB_CG_6			(0x06UL)				/* 6*ADCCLK*/
#define 	ADCB_CG_7			(0x07UL)				/* 7*ADCCLK*/
#define 	ADCB_CG_8			(0x08UL)				/* 8*ADCCLK*/
#define 	ADCB_CG_9			(0x09UL)				/* 9*ADCCLK*/
#define 	ADCB_CG_10			(0x0AUL)				/* 10*ADCCLK*/
#define 	ADCB_CG_11			(0x0BUL)				/* 11*ADCCLK*/
#define 	ADCB_CG_12			(0x0CUL)				/* 12*ADCCLK*/
#define 	ADCB_CG_13			(0x0DUL)				/* 13*ADCCLK*/
#define 	ADCB_CG_14			(0x0EUL)				/* 14*ADCCLK*/
#define 	ADCB_CG_15			(0x0FUL)				/* 15*ADCCLK*/

/*----------------------------------------------------------------------------
 **ADCB οԴ
-----------------------------------------------------------------------------*/
#define		ADCB_VREFP_VDD		(0x00UL)						/*ѡVDDΪ˲ο*/
#define		ADCB_VREFN_VSS		(0x00UL)						/*ѡVSSΪ˲ο*/
/*---------------------------------------------------------------------------*/
#define		ADCB_VREFP_AVREFP	(0x01UL<<ADCB_CON_ADCVS_Pos)	/*ѡⲿAVREFPΪ˲ο*/
#define		ADCB_VREFN_AVREFN	(0x01UL<<ADCB_CON_ADCVG_Pos)	/*ѡⲿAVREFNΪ˲ο*/	

/*----------------------------------------------------------------------------
 **ADCB ⲿѡ
-----------------------------------------------------------------------------*/
#define		ADCB_TG_EXT_FALLING			((0x0UL)|ADCB_HWTG_ADCEXTEN_Msk)			/*ⲿӲ½ش*/
#define		ADCB_TG_EXT_RISING			((0x1UL<<ADCB_HWTG_ADCEXTES_Pos)|ADCB_HWTG_ADCEXTEN_Msk)	/*ⲿӲش*/			

/*----------------------------------------------------------------------------
 **ADCB ڲԴѡ
-----------------------------------------------------------------------------*/
#define		ADCB_TG_INTNEL_ADCA				(0x0UL | ADCB_HWTG_ADCINTTGEN_Msk)		/*ڲADCA*/	
#define		ADCB_TG_INTNEL_ADCB				((0x1UL<<ADCB_HWTG_ADCINTTGSS_Pos)| ADCB_HWTG_ADCINTTGEN_Msk)	/*ڲADCB*/			
#define		ADCB_TG_INTNEL_TMR0				((0x4UL<<ADCB_HWTG_ADCINTTGSS_Pos)| ADCB_HWTG_ADCINTTGEN_Msk)	/*ڲTMR0ʹжϴ*/			
#define		ADCB_TG_INTNEL_TMR1				((0x5UL<<ADCB_HWTG_ADCINTTGSS_Pos)| ADCB_HWTG_ADCINTTGEN_Msk)	/*ڲTMR1ʹжϴ*/	
#define		ADCB_TG_INTNEL_TMR2				((0x6UL<<ADCB_HWTG_ADCINTTGSS_Pos)| ADCB_HWTG_ADCINTTGEN_Msk)	/*ڲTMR2ʹжϴ*/			
#define		ADCB_TG_INTNEL_TMR3				((0x7UL<<ADCB_HWTG_ADCINTTGSS_Pos)| ADCB_HWTG_ADCINTTGEN_Msk)	/*ڲTMR3ʹжϴ*/	

/*----------------------------------------------------------------------------
 **ADCB ͨ
-----------------------------------------------------------------------------*/
#define		ADCB_CH_0					(0x0UL)			
#define		ADCB_CH_1					(0x1UL)	
#define		ADCB_CH_2					(0x2UL)			
#define		ADCB_CH_3					(0x3UL)			
#define		ADCB_CH_4					(0x4UL)		
#define		ADCB_CH_5					(0x5UL)			
#define		ADCB_CH_6					(0x6UL)	
#define		ADCB_CH_7					(0x7UL)			
#define		ADCB_CH_8					(0x8UL)			
#define		ADCB_CH_9					(0x9UL)		
#define		ADCB_CH_10					(0xAUL)			
#define		ADCB_CH_11					(0xBUL)	
#define		ADCB_CH_12					(0xCUL)			
#define		ADCB_CH_13					(0xDUL)			
#define		ADCB_CH_14					(0xEUL)		
#define		ADCB_CH_15					(0xFUL)			
#define		ADCB_CH_16					(0x10UL)	
#define		ADCB_CH_17					(0x11UL)			
#define		ADCB_CH_18					(0x12UL)			
#define		ADCB_CH_19					(0x13UL)
#define		ADCB_CH_20					(0x14UL)	
#define		ADCB_CH_21					(0x15UL)			
#define		ADCB_CH_22					(0x16UL)			
#define		ADCB_CH_23					(0x17UL)
#define		ADCB_CH_24					(0x18UL)
#define		ADCB_CH_25					(0x19UL)
#define		ADCB_CH_26					(0x1AUL)
#define		ADCB_CH_27					(0x1BUL)
#define		ADCB_CH_28					(0x1CUL)
#define		ADCB_CH_29					(0x1DUL)
#define		ADCB_CH_30					(0x1EUL)


#define		ADCB_CH_0_MSK				(0x1UL)			
#define		ADCB_CH_1_MSK				(0x2UL)	
#define		ADCB_CH_2_MSK				(0x4UL)			
#define		ADCB_CH_3_MSK				(0x8UL)			
#define		ADCB_CH_4_MSK				(0x10UL)		
#define		ADCB_CH_5_MSK				(0x20UL)			
#define		ADCB_CH_6_MSK				(0x40UL)	
#define		ADCB_CH_7_MSK				(0x80UL)			
#define		ADCB_CH_8_MSK				(0x100UL)			
#define		ADCB_CH_9_MSK				(0x200UL)		
#define		ADCB_CH_10_MSK				(0x400UL)			
#define		ADCB_CH_11_MSK				(0x800UL)	
#define		ADCB_CH_12_MSK				(0x1000UL)			
#define		ADCB_CH_13_MSK				(0x2000UL)			
#define		ADCB_CH_14_MSK				(0x4000UL)		
#define		ADCB_CH_15_MSK				(0x8000UL)			
#define		ADCB_CH_16_MSK				(0x10000UL)	
#define		ADCB_CH_17_MSK				(0x20000UL)			
#define		ADCB_CH_18_MSK				(0x40000UL)			
#define		ADCB_CH_19_MSK				(0x80000UL)

#define		ADCB_CH_20_MSK				(0x100000UL)			
#define		ADCB_CH_21_MSK				(0x200000UL)	
#define		ADCB_CH_22_MSK				(0x400000UL)			
#define		ADCB_CH_23_MSK				(0x800000UL)			
#define		ADCB_CH_24_MSK				(0x1000000UL)		
#define		ADCB_CH_25_MSK				(0x2000000UL)			
#define		ADCB_CH_26_MSK				(0x4000000UL)	
#define		ADCB_CH_27_MSK				(0x8000000UL)			
#define		ADCB_CH_28_MSK				(0x10000000UL)			
#define		ADCB_CH_29_MSK				(0x20000000UL)
#define		ADCB_CH_30_MSK				(0x40000000UL)


/*----------------------------------------------------------------------------
 **ADCB  AN30ѡ
-----------------------------------------------------------------------------*/
#define    ADCB_AN30_SEL_BG				(0x0UL)			/*ڲBG*/
#define    ADCB_AN30_SEL_OP0O			(0x1UL)			/*OP0*/
#define    ADCB_AN30_SEL_OP1O			(0x2UL)			/*OP1*/
#define    ADCB_AN30_SEL_PGA0O			(0x3UL)			/*PGA0*/
#define    ADCB_AN30_SEL_PGA1O			(0x4UL)			/*PGA1*/
#define    ADCB_AN30_SEL_VSS			(0x5UL)			/*VSS*/
#define    ADCB_AN30_SEL_AVDD			(0x6UL)			/*ADCοVDD*/
#define    ADCB_AN30_SEL_AVSS			(0x7UL)			/*ADCοVSS*/


/*----------------------------------------------------------------------------
 **ADCB   Ƚ
-----------------------------------------------------------------------------*/
#define		ADCB_CMP_LESS_THAN_RESULT		(0x00UL)		/*ADC <Ԥֵ*/
#define		ADCB_CMP_NOT_LESS_THAN_RESULT	(0x01UL<<ADCB_CMP_ADCCMPCOND_Pos)		/*ADC >=Ԥֵ*/

#define		ADCB_CMP0						(0x00UL)		/*ADCBȽ0*/
#define		ADCB_CMP1						(0x01UL)		/*ADCBȽ1*/
	

/*----------------------------------------------------------------------------
 **ADCB   д
-----------------------------------------------------------------------------*/
#define		ADCB_LOCK_WRITE_KEY		(0x55UL)


/*****************************************************************************
 ** \brief	ADCB_IS_BUSY
 **			ȡADCBת/б־λ
 ** \param [in] none
 ** \return  1æ   0/ת
 ** \note	 
*****************************************************************************/
#define	ADCB_IS_BUSY()		((ADCB->CON2&ADCB_CON2_ADCST_Msk)? 1:0)


/*****************************************************************************
 ** \brief	ADCB_Go
 **			ADCBת
 ** \param [in] none
 ** \return  none
 ** \note	 
*****************************************************************************/
__STATIC_INLINE	void ADCB_Go(void)
{
	ADCB->LOCK = ADCB_LOCK_WRITE_KEY;
	ADCB->CON2 |= ADCB_CON2_ADCST_Msk;
	ADCB->LOCK = 0x00;
}

							
/*****************************************************************************/
/* Global type definitions ('typedef') */
/*****************************************************************************/


/*****************************************************************************/
/* Global variable declarations ('extern', definition in C source) */
/*****************************************************************************/


/*****************************************************************************/
/* Global function prototypes ('extern', definition in C source) */
/*****************************************************************************/

/*****************************************************************************
 ** \brief	ADCB_ConfigRunMode
 **			ADCģʽ
 ** \param [in] RunMode: (1)ADCB_MODE_HIGH
 **						 (2)ADCB_MODE_LOW
 **				ConvertMode:(1)ADCB_CONVERT_SINGLE			
 **							(2)ADCB_CONVERT_CONTINUOUS				
 **				ClkDiv :(1)ADCB_CLK_DIV_1
 **						(2)ADCB_CLK_DIV_2
 **						(3)ADCB_CLK_DIV_4
 **						(4)ADCB_CLK_DIV_8
 **						(5)ADCB_CLK_DIV_16
 **						(6)ADCB_CLK_DIV_32
 **						(7)ADCB_CLK_DIV_64
 **						(8)ADCB_CLK_DIV_128
 **				Holdtime: 5~255 		
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCB_ConfigRunMode(uint32_t RunMode, uint32_t ConvertMode,uint32_t ClkDiv, uint32_t Holdtime);

/*****************************************************************************
 ** \brief	ADCB_ConfigChannelSwitchMode
 **			ADCBͨлģʽ
 ** \param [in] 	ChSwitch:(1)ADCB_SWITCH_HARDWARE	
 **							 (2)ADCB_SWITCH_SOFTWARE 
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCB_ConfigChannelSwitchMode(uint32_t ChSwitch);

/*****************************************************************************
 ** \brief	ADCB_EnableCharge
 **			ADCB繦
 ** \param [in] ChargeTime:	ADCB_CG_2...... ADCB_CG_30
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCB_EnableCharge(uint32_t ChargeTime);
/*****************************************************************************
 ** \brief	ADCB_EnableDischarge
 **			ADCBŵ繦
 ** \param [in] ChargeTime:	ADCB_CG_2...... ADCB_CG_30
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCB_EnableDischarge(uint32_t ChargeTime);

/*****************************************************************************
 ** \brief	ADCB_DisableChargeAndDischarge
 **			رADCBŵ硢繦
 ** \param [in] none
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCB_DisableChargeAndDischarge(void);

/*****************************************************************************
 ** \brief	ADCB_ConfigVREF
 **			ADCBĲοԴ
 ** \param [in]  VrefPos:  (1)ADCB_VREFP_VDD		ѡVDDΪ˲ο
 **						   (2)ADCB_VREFP_BG			ѡBGΪ˲ο
 **						   (3)ADCB_VREFP_AVREFP		ѡⲿAVREFPΪ˲ο
 **				 VrefNeg:  (1)ADCB_VREFN_VSS		ѡVSSΪ˲ο
 **						   (2)ADCB_VREFN_AVREFN		ѡⲿAVREFNΪ˲ο	
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCB_ConfigVREF(uint32_t VrefPos, uint32_t VrefNeg);


/*****************************************************************************
 ** \brief	ADCB_ConfigSampleTime
 **			òʱ
 ** \param [in]  sampletime: 5 ~ 255;
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCB_ConfigSampleTime(uint32_t sampletime);

/*****************************************************************************
 ** \brief	ADCB_EnableSampleWait
 **			ʹADCBֲ״̬
 ** \param [in]  none
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCB_EnableSampleWait(void);
/*****************************************************************************
 ** \brief	ADCB_DisableSampleWait
 **			رADCBֲ״̬
 ** \param [in]  none
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCB_DisableSampleWait(void);

/*****************************************************************************
 ** \brief	ADCB_SelSoftwareSwitchChannel
 **			ѡлתͨ
 ** \param [in] Channel: ADCB_CH_0 ~ ADCB_CH_30
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCB_SelSoftwareSwitchChannel(uint32_t Channel);

/*****************************************************************************
 ** \brief	ADCB_EnableScanChannel
 **			ADCתͨ
 ** \param [in] ChannelMask: ADCB_CH_0_MSK ~ ADCB_CH_19_MSK
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCB_EnableScanChannel(uint32_t ChannelMask);

/*****************************************************************************
 ** \brief	ADCB_AN30Select
 **			AN30ͨѡ
 ** \param [in] AN30Sel : (1)ADCB_AN30_SEL_BG
 **						  (2)ADCB_AN30_SEL_OP0O
 **						  (3)ADCB_AN30_SEL_OP1O
 **						  (4)ADCB_AN30_SEL_PGA0O
 **						  (5)ADCB_AN30_SEL_PGA1O
 **						  (6)ADCB_AN30_SEL_VSS
 **						  (7)ADCB_AN30_SEL_AVDD
 **						  (8)ADCB_AN30_SEL_AVSS
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCB_AN30Select(uint32_t AN30Sel);

/*****************************************************************************
 ** \brief	ADCB_DisableScanChannel
 **			رADCBתͨ
 ** \param [in] ChannelMask: ADCB_CH_0_MSK ~ ADCB_CH_19_MSK
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCB_DisableScanChannel(uint32_t ChannelMask);

/*****************************************************************************
 ** \brief	ADCB_GetResult
 **			ȡADCBת
 ** \param [in] Channel: ADCB_CH_0 ~ ADCB_CH_30
 ** \return  12 bits Value
 ** \note	
*****************************************************************************/
uint32_t ADCB_GetResult(uint32_t Channel);

/*****************************************************************************
 ** \brief	ADCB_EnableHardwareTrigger
 **			ӲADCBת
 ** \param [in] TriggerSource: (1)ADCB_TG_EXT_FALLING
 **							(2)ADCB_TG_EXT_RISING
 **							(3)ADCB_TG_INTNEL_ADCA
 **							(4)ADCB_TG_INTNEL_ADCB
 **							(5)ADCB_TG_INTNEL_TMR0
 **							(6)ADCB_TG_INTNEL_TMR1
 **							(7)ADCB_TG_INTNEL_TMR2
 **							(8)ADCB_TG_INTNEL_TMR3	
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCB_EnableHardwareTrigger(uint32_t TriggerSource);
/*****************************************************************************
 ** \brief	ADCB_DisableHardwareTrigger
 **			رӲADCBת
 ** \param [in] TriggerSource: (1)ADCB_TG_EXT_FALLING
 **							(2)ADCB_TG_EXT_RISING
 **							(3)ADCB_TG_INTNEL_ADCA
 **							(4)ADCB_TG_INTNEL_ADCB
 **							(5)ADCB_TG_INTNEL_TMR0
 **							(6)ADCB_TG_INTNEL_TMR1
 **							(7)ADCB_TG_INTNEL_TMR2
 **							(8)ADCB_TG_INTNEL_TMR3	
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCB_DisableHardwareTrigger(uint32_t TriggerSource);
/*****************************************************************************
 ** \brief	ADCB_SetAnalogSwitchDelayTime
 **			ADCB ģ⿪ش򿪵ʼʱ
 ** \param [in] DelayTime: 0x00~ 0xff;
 ** \return  none
 ** \note  Time = (DelayTime+2)*ADCCLK
*****************************************************************************/
void ADCB_SetAnalogSwitchDelayTime(uint32_t DelayTime);

/*****************************************************************************
 ** \brief	ADCB_EnableCompare
 **			ADCBȽϹ
 ** \param [in] Compare : ADCB_CMP0 ADCB_CMP1
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCB_EnableCompare(uint32_t Compare);
/*****************************************************************************
 ** \brief	ADCB_DisableCompare
 **			رADCBȽϹ
 ** \param [in] Compare : ADCB_CMP0 ADCB_CMP1
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCB_DisableCompare(uint32_t Compare);
/*****************************************************************************
 ** \brief	ADCB_ConfigCompare
 **			ADCBȽϹ
 ** \param [in]  Compare : ADCB_CMP0 ADCB_CMP1
 **				 CmpMode:(1)ADCB_CMP_LESS_THAN_RESULT
 **						 (2)ADCB_CMP_NOT_LESS_THAN_RESULT
 **				 CmpCount: 0x00~0xf  ԤȽϴ
 **				 CmpChannel: ADCB_CH_0 ~ ADCB_CH_30
 **				 CmpData : 12 bit Ƚֵ
 ** \return  none
 ** \note	ڲADCCMPxMCNT+1ֵʱADCȽ¼
*****************************************************************************/
void ADCB_ConfigCompare(uint32_t Compare, uint32_t CmpMode, uint32_t CmpCount,  
						uint32_t CmpChannel, uint32_t CmpData);

/*****************************************************************************
 ** \brief	ADCB_GetCompareResult
 **			ȡADCBȽ
 ** \param [in] Compare : ADCB_CMP0 ADCB_CMP1
 ** \return  1 /0
 ** \note	
*****************************************************************************/
uint32_t ADCB_GetCompareResult(uint32_t Compare);


/*****************************************************************************
 ** \brief	ADCB_Start
 **			ADCB
 ** \param [in] none
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCB_Start(void);
/*****************************************************************************
 ** \brief	ADCB_Stop
 **			رADCB
 ** \param [in] none
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCB_Stop(void);

/*****************************************************************************
 ** \brief	ADCB_EnableReset
 **			λADCB
 ** \param [in] none
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCB_EnableReset(void);

/*****************************************************************************
 ** \brief	ADCB_EnableCompareInt
 **			ADCBȽж
 ** \param [in] none
 ** \return  none
 ** \note	ֱֻ֧Ƚ 0 
*****************************************************************************/
void ADCB_EnableCompareInt(void);
/*****************************************************************************
 ** \brief	ADCB_DisableCompareInt
 **			رADCBȽж
 ** \param [in] none
 ** \return  none
 ** \note	ֱֻ֧Ƚ 0 
*****************************************************************************/
void ADCB_DisableCompareInt(void);
/*****************************************************************************
 ** \brief	ADCB_GetCompareIntFlag
 **			ȡADCBȽжʹܲҲжϱ־λ
 ** \param [in] none
 ** \return  1:жʹܲҲж 0ж
 ** \note	ֱֻ֧Ƚ 0 
*****************************************************************************/
uint32_t ADCB_GetCompareIntFlag(void);
/*****************************************************************************
 ** \brief	ADCB_ClearCompareIntFlag
 **			ADCBȽжϱ־λ
 ** \param [in] none
 ** \return  none
 ** \note	ֱֻ֧Ƚ 0 
*****************************************************************************/
void ADCB_ClearCompareIntFlag(void);

/*****************************************************************************
 ** \brief	ADCB_EnableChannelInt
 **			ADCBͨnж
 ** \param [in]ChannelMask: ADCB_CH_0_MSK ~ ADCB_CH_30_MSK
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCB_EnableChannelInt(uint32_t ChannelMask);
/*****************************************************************************
 ** \brief	ADCB_DisableChannelInt
 **			رADCBͨnж
 ** \param [in] ChannelMask: ADCB_CH_0_MSK ~ ADCB_CH_30_MSK
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCB_DisableChannelInt(uint32_t ChannelMask);
/*****************************************************************************
 ** \brief	ADCB_GetChannelIntFlag
 **			ȡADCBͨnжʹܲҲжϱ־λ
 ** \param [in] Channel:ADCB_CH_0 ~ ADCB_CH_30
 ** \return  1:жʹܲҲж 0ж
 ** \note	
*****************************************************************************/
uint32_t ADCB_GetChannelIntFlag(uint32_t Channel);
/*****************************************************************************
 ** \brief	ADCB_ClearChannelIntFlag
 **			ADCBͨnжϱ־λ
 ** \param [in] Channel:ADCB_CH_0 ~ ADCB_CH_30
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCB_ClearChannelIntFlag(uint32_t Channel);


#ifdef __cplusplus
}
#endif

#endif /* __ADCB_H_ */

