/*******************************************************************************
* Copyright (C) 2019 China Micro Semiconductor Limited Company. All Rights Reserved.
*
* This software is owned and published by:
* CMS LLC, No 2609-10, Taurus Plaza, TaoyuanRoad, NanshanDistrict, Shenzhen, China.
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software contains source code for use with CMS
* components. This software is licensed by CMS to be adapted only
* for use in systems utilizing CMS components. CMS shall not be
* responsible for misuse or illegal use of this software for devices not
* supported herein. CMS is providing this software "AS IS" and will
* not be responsible for issues arising from incorrect user implementation
* of the software.
*
* This software may be replicated in part or whole for the licensed use,
* with the restriction that this Disclaimer and Copyright notice must be
* included with each copy of this software, whether used in part or whole,
* at all times.
*/

/*****************************************************************************/
/** \file epwm.h
**
** History:
** 
*****************************************************************************/
#ifndef __EPWM_H_
#define __EPWM_H_

#ifdef __cplusplus
extern "C"
{
#endif

/*****************************************************************************/
/* Include files */
/*****************************************************************************/
#include "cms32f0332.h"
/*****************************************************************************/
/* Global pre-processor symbols/macros ('#define') */
/*****************************************************************************/
/*----------------------------------------------------------------------------
 **EPWM ͨ
-----------------------------------------------------------------------------*/
#define	EPWM0 			(0x00UL)
#define	EPWM1 			(0x01UL)
#define	EPWM2 			(0x02UL)
#define	EPWM3 			(0x03UL)
#define	EPWM4 			(0x04UL)
#define	EPWM5 			(0x05UL)

#define	EPWM_CH_0_MSK 		(0x01UL)
#define	EPWM_CH_1_MSK 		(0x02UL)
#define	EPWM_CH_2_MSK 		(0x04UL)
#define	EPWM_CH_3_MSK 		(0x08UL)
#define EPWM_CH_4_MSK 		(0x10UL)
#define	EPWM_CH_5_MSK		(0x20UL)

/*----------------------------------------------------------------------------
 **EPWM ӳ
-----------------------------------------------------------------------------*/
#define	IPG0			(0x00UL)
#define	IPG1			(0x01UL)
#define	IPG2			(0x02UL)
#define	IPG3			(0x03UL)
#define	IPG4			(0x04UL)
#define	IPG5			(0x05UL)
#define EPWM_REMAP_ENABLE	(0xAAUL)
/*----------------------------------------------------------------------------
 **EPWM ģʽ
-----------------------------------------------------------------------------*/
/*------EPWMģʽ---------------------------------------------------------*/
#define EPWM_COUNT_UP_DOWN			(0x01UL<<EPWM_CON_CNTTYPE_Pos)  	/*EPWMCOUNTģʽ¼Ķ룩ģʽ*/
#define EPWM_COUNT_DOWN				(0x00UL)  							/*EPWMCOUNTģʽ¼ض룩ģʽ*/
/*------EPWMȽϵԪ(OCU)ģʽ--------------------------------------------*/
#define EPWM_OCU_ASYMMETRIC			(0x01UL<<EPWM_CON_ASYMEN_Pos)  		/*EPWMȽϵԪOCUģʽ ǶԳģʽ*/
#define EPWM_OCU_SYMMETRIC			(0x00UL) 					 		/*EPWMȽϵԪOCUģʽ Գģʽ*/
/*------EPWMηԪ(WFG)ģʽ------------------------------------------*/
#define EPWM_WFG_INDEPENDENT		(0x0UL)  							/*EPWMηWFGģʽģʽ*/
#define EPWM_WFG_COMPLEMENTARYK 	(0x1UL<<EPWM_CON_MODE_Pos) 			/*EPWMηWFGģʽģʽ*/
#define EPWM_WFG_SYNCHRONIZED		(0x2UL<<EPWM_CON_MODE_Pos) 			/*EPWMηWFGģʽͬģʽ*/
/*------EPWMƵԪ(OC)ģʽ---------------------------------------------*/
#define EPWM_OC_GROUP				(0x01UL<<EPWM_CON_GROUNPEN_Pos)  	/*EPWMƣOCģʽ ģʽ*/
#define EPWM_OC_INDEPENDENT			(0x00UL) 						 	/*EPWMƣOCģʽ ͨԶ*/

/*----------------------------------------------------------------------------
 **EPWM ʱ
-----------------------------------------------------------------------------*/
#define 	EPWM_CLK_DIV_1				(0x5UL)		
#define 	EPWM_CLK_DIV_2				(0x4UL)		
#define	 	EPWM_CLK_DIV_4				(0x0UL)		
#define	 	EPWM_CLK_DIV_8				(0x1UL)		
#define 	EPWM_CLK_DIV_16				(0x2UL)		
#define 	EPWM_CLK_DIV_32				(0x3UL)		

/*----------------------------------------------------------------------------
 **EPWM ڡռձȼطʽжϡжϲʽ
-----------------------------------------------------------------------------*/
#define		EPWM_EACH_PERIOD_ZERO		(0x0UL)		/*ÿڵ*/
#define		EPWM_EACH_ZERO				(0x1UL)		/*ÿ*/
#define		EPWM_FIRST_ZERO_NEXT_PERIOD	(0x2UL)		/*һһڵ*/
#define		EPWM_EVERY_TWO_ZERO			(0x3UL)		/*ÿ*/

/*----------------------------------------------------------------------------
 **EPWM ¼
-----------------------------------------------------------------------------*/
#define		EPWM_EVENT_ACMP0		(0x00UL)		/*ACMP0 ¼LOADENn=1*/
#define		EPWM_EVENT_ACMP1		(0x01UL)		/*ACMP1 ¼LOADENn=1*/
#define		EPWM_EVENT_HALL			(0x02UL)		/*HALL ״̬仯LOADENn=1*/ 

/*----------------------------------------------------------------------------
 **EPWM 
-----------------------------------------------------------------------------*/
#define		EPWM_MASK_LOAD_EPWM0	(0x0UL<<EPWM_POEN_MASKLS_Pos)		/*EPWM0 ļص*/
#define		EPWM_MASK_LOAD_EPWM1	(0x1UL<<EPWM_POEN_MASKLS_Pos)		/*EPWM1 ļص*/
#define		EPWM_MASK_LOAD_EPWM2	(0x2UL<<EPWM_POEN_MASKLS_Pos)		/*EPWM2 ļص*/
#define		EPWM_MASK_LOAD_EPWM3	(0x3UL<<EPWM_POEN_MASKLS_Pos)		/*EPWM3 ļص*/
#define		EPWM_MASK_LOAD_EPWM4	(0x4UL<<EPWM_POEN_MASKLS_Pos)		/*EPWM4 ļص*/		
#define		EPWM_MASK_LOAD_EPWM5	(0x5UL<<EPWM_POEN_MASKLS_Pos)		/*EPWM5 ļص*/
/*----------------------------------------------------------------------------
 **EPWM Ԥ
-----------------------------------------------------------------------------*/
#define		EPWM_MASK_BUF0			(0x0UL)		
#define		EPWM_MASK_BUF1			(0x1UL)	
#define		EPWM_MASK_BUF2			(0x2UL)	
#define		EPWM_MASK_BUF3			(0x3UL)	
#define		EPWM_MASK_BUF4			(0x4UL)	
#define		EPWM_MASK_BUF5			(0x5UL)	
#define		EPWM_MASK_BUF6			(0x6UL)	
#define		EPWM_MASK_BUF7			(0x7UL)	

/*----------------------------------------------------------------------------
 **EPWM ȽϴADC
-----------------------------------------------------------------------------*/
#define		EPWM_CMPTG_FALLING		(0x00UL)		/*ĶԳƼʱ¼*/
#define		EPWM_CMPTG_RISING		(0x01UL)		/*ĶԳƼʱϼ*/

#define		EPWM_CMPTG_0			(0x00UL)		/*Ƚͨ0 */
#define		EPWM_CMPTG_1			(0x01UL)		/*Ƚͨ1 */

#define		EPWM_CMPTG_EPWM0		(0x00UL)		/*ȽѡEPWM0ļ*/
#define		EPWM_CMPTG_EPWM1		(0x01UL)		/*ȽѡEPWM1ļ*/
#define		EPWM_CMPTG_EPWM2		(0x02UL)		/*ȽѡEPWM2ļ*/
#define		EPWM_CMPTG_EPWM3		(0x03UL)		/*ȽѡEPWM3ļ*/
#define		EPWM_CMPTG_EPWM4		(0x04UL)		/*ȽѡEPWM4ļ*/
#define		EPWM_CMPTG_EPWM5		(0x05UL)		/*ȽѡEPWM5ļ*/

/*----------------------------------------------------------------------------
 **EPWM ϱɲģʽ
-----------------------------------------------------------------------------*/
#define 	EPWM_BRK_STOP			(0x00UL<<EPWM_BRKCTL_BRKMS_Pos)			/*ֹͣģʽ*/
#define 	EPWM_BRK_SUSPEND		(0x01UL<<EPWM_BRKCTL_BRKMS_Pos)			/*ͣģʽ*/
#define 	EPWM_BRK_RECOVER		(0x02UL<<EPWM_BRKCTL_BRKMS_Pos)			/*ָģʽ*/
#define 	EPWM_BRK_DELAY_RECOVER	(0x03UL<<EPWM_BRKCTL_BRKMS_Pos)			/*ʱָģʽ*/

/*----------------------------------------------------------------------------
 **EPWM  ɲ
-----------------------------------------------------------------------------*/
#define 	EPWM_BRK_SOFT			(0x00)								/*ɲ*/
#define 	EPWM_BRK_EXTLE			(EPWM_BRKCTL_EXTBRKLE_Msk)			/*ⲿӲƽɲ*/
#define 	EPWM_BRK_EXTEE			(EPWM_BRKCTL_EXTBRKEE_Msk)			/*ⲿӲɲ*/
#define 	EPWM_BRK_ADCBCMP0		(EPWM_BRKCTL_ADCBPM0BKEN_Msk)		/*ADCBȽ0ɲ*/
#define 	EPWM_BRK_ADCBCMP1		(EPWM_BRKCTL_ADCBPM1BKEN_Msk)		/*ADCBȽ1ɲ*/	
#define 	EPWM_BRK_ADCACMP0		(EPWM_BRKCTL_ADCAPM0BKEN_Msk)		/*ADCAȽ0ɲ*/
#define 	EPWM_BRK_ACMP0LE		(EPWM_BRKCTL_ACMP0BKLE_Msk)			/*ģȽ0ƽɲ*/
#define 	EPWM_BRK_ACMP1LE		(EPWM_BRKCTL_ACMP1BKLE_Msk)			/*ģȽ1ƽɲ*/	
#define 	EPWM_BRK_ACMP0EE		(EPWM_BRKCTL_ACMP0BKEN_Msk)			/*ģȽ0¼ɲ*/
#define 	EPWM_BRK_ACMP1EE		(EPWM_BRKCTL_ACMP1BKEN_Msk)			/*ģȽ1¼ɲ*/	


/*----------------------------------------------------------------------------
 **EPWM  ɲź˲
-----------------------------------------------------------------------------*/
#define     EPWM_BRK_FILCLK_1			(0x0UL)			/*Filter Clk = PCLK*(0~1)*/	
#define     EPWM_BRK_FILCLK_2			(0x1UL)			/*Filter Clk = PCLK*(1~2)*/	
#define     EPWM_BRK_FILCLK_3			(0x2UL)			/*Filter Clk = PCLK*(2~3)*/	
#define     EPWM_BRK_FILCLK_5			(0x3UL)			/*Filter Clk = PCLK*(4~5)*/	
#define     EPWM_BRK_FILCLK_9			(0x4UL)			/*Filter Clk = PCLK*(8~9)*/	
#define     EPWM_BRK_FILCLK_17			(0x5UL)			/*Filter Clk = PCLK*(16~17)*/	
#define     EPWM_BRK_FILCLK_25			(0x6UL)			/*Filter Clk = PCLK*(24~25)*/	
#define     EPWM_BRK_FILCLK_33			(0x7UL)			/*Filter Clk = PCLK*(32~33)*/	
#define     EPWM_BRK_FILCLK_49			(0x8UL)			/*Filter Clk = PCLK*(48~49)*/	
#define     EPWM_BRK_FILCLK_65			(0x9UL)			/*Filter Clk = PCLK*(64~65)*/	
#define     EPWM_BRK_FILCLK_81			(0xAUL)			/*Filter Clk = PCLK*(80~81)*/	
#define     EPWM_BRK_FILCLK_97			(0xBUL)			/*Filter Clk = PCLK*(96~97)*/	
#define     EPWM_BRK_FILCLK_113			(0xCUL)			/*Filter Clk = PCLK*(112~113)*/		


/*----------------------------------------------------------------------------
 **EPWM  ⲿӲɲ
-----------------------------------------------------------------------------*/
#define		EPWM_EXTBK_LEVEL_HIGH	(0x01UL<<EPWM_BRKCTL_EXTBRKLS_Pos)		/*ߵƽɲ*/
#define		EPWM_EXTBK_LEVEL_LOW	(0x00<<EPWM_BRKCTL_EXTBRKLS_Pos)		/*͵ƽɲ*/
#define		EPWM_EXTBK_EDGE_FALLING	(0x00UL<<EPWM_BRKCTL_EXTBRKES_Pos)		/*½ɲ*/
#define		EPWM_EXTBK_EDGE_RISING	(0x01UL<<EPWM_BRKCTL_EXTBRKES_Pos)		/*ɲ*/
/*----------------------------------------------------------------------------
 **EPWM  Ƚƽɲ
-----------------------------------------------------------------------------*/
#define		EPWM_ACMP0BRK_LEVEL_HIGH	(0x01UL<<EPWM_BRKCTL_ACMP0BKLS_Pos)		/*Ƚ0ߵƽɲ*/
#define		EPWM_ACMP0BRK_LEVEL_LOW		(0x00UL<<EPWM_BRKCTL_ACMP0BKLS_Pos)		/*Ƚ0͵ƽɲ*/
#define		EPWM_ACMP1BRK_LEVEL_HIGH	(0x01UL<<EPWM_BRKCTL_ACMP1BKLS_Pos)		/*Ƚ1ߵƽɲ*/
#define		EPWM_ACMP1BRK_LEVEL_LOW		(0x00UL<<EPWM_BRKCTL_ACMP1BKLS_Pos)		/*Ƚ1͵ƽɲ*/

/*----------------------------------------------------------------------------
 **EPWM ɲָ
-----------------------------------------------------------------------------*/
#define		EPWM_BRK_LOAD_EPWM0		(0x0UL<<EPWM_BRKCTL_BRKRCS_Pos)		/*EPWM0 ļص*/
#define		EPWM_BRK_LOAD_EPWM1		(0x1UL<<EPWM_BRKCTL_BRKRCS_Pos)		/*EPWM1 ļص*/
#define		EPWM_BRK_LOAD_EPWM2		(0x2UL<<EPWM_BRKCTL_BRKRCS_Pos)		/*EPWM2 ļص*/
#define		EPWM_BRK_LOAD_EPWM3		(0x3UL<<EPWM_BRKCTL_BRKRCS_Pos)		/*EPWM3 ļص*/
#define		EPWM_BRK_LOAD_EPWM4		(0x4UL<<EPWM_BRKCTL_BRKRCS_Pos)		/*EPWM4 ļص*/		
#define		EPWM_BRK_LOAD_EPWM5		(0x5UL<<EPWM_BRKCTL_BRKRCS_Pos)		/*EPWM5 ļص*/

/*----------------------------------------------------------------------------
 **EPWM д
-----------------------------------------------------------------------------*/
#define		EPWM_LOCK_P1A_WRITE_KEY		(0xAAUL)
#define		EPWM_LOCK_P1B_WRITE_KEY		(0x55UL)

/*****************************************************************************
 ** \brief	EPWM_GET_BRAKE_RIS_FLAG
 **			ȡɲжԴ־
 ** \param [in] none
 ** \return  1ж  0:ж
 ** \note	 
*****************************************************************************/
#define 	EPWM_GET_BRAKE_RIS_FLAG()		(((EPWM->RIS&EPWM_RIS_BRKIF_Msk)? 1:0))

/*****************************************************************************
 ** \brief	EPWM_GET_HALLERROR_RIS_FLAG
 **			ȡHall״̬жԴ־
 ** \param [in] none
 ** \return  1ж  0:ж
 ** \note	 
*****************************************************************************/
#define 	EPWM_GET_HALLERROR_RIS_FLAG()		(((EPWM->RIS&EPWM_RIS_HALLIF_Msk)? 1:0))

/*****************************************************************************
 ** \brief	EPWM_GET_UPCMP_RIS_FLAG
 **			ȡϱȽжԴ־
 ** \param [in] EPWMn : EPWM0 EPWM1 EPWM2 EPWM3 EPWM4 EPWM5 
 ** \return  1ж  0:ж
 ** \note	 
*****************************************************************************/
#define 	EPWM_GET_UPCMP_RIS_FLAG(EPWMn)		(((EPWM->RIS&(0x1<<(EPWMn+EPWM_RIS_UIFn_Pos))? 1:0)))
		
/*****************************************************************************
 ** \brief	EPWM_GET_DOWNCMP_RIS_FLAG
 **			ȡ±ȽжԴ־
 ** \param [in]EPWMn : EPWM0 EPWM1 EPWM2 EPWM3 EPWM4 EPWM5 
 ** \return  1ж  0:ж
 ** \note	 
*****************************************************************************/
#define 	EPWM_GET_DOWNCMP_RIS_FLAG(EPWMn)		(((EPWM->RIS&(0x1<<(EPWMn+EPWM_RIS_DIFn_Pos)))? 1:0))


/*****************************************************************************
 ** \brief	EPWM_GET_PERIOD_RIS_FLAG
 **			ȡжԴ־
 ** \param [in] EPWMn : EPWM0 EPWM1 EPWM2 EPWM3 EPWM4 EPWM5 
 ** \return  1ж  0:ж
 ** \note	 
*****************************************************************************/
#define 	EPWM_GET_PERIOD_RIS_FLAG(EPWMn)		(((EPWM->RIS&(0x1<<(EPWMn+EPWM_RIS_PIFn_Pos)))? 1:0))
		
/*****************************************************************************
 ** \brief	EPWM_GET_ZERO_RIS_FLAG
 **			ȡжԴ־
 ** \param [in]EPWMn : EPWM0 EPWM1 EPWM2 EPWM3 EPWM4 EPWM5 
 ** \return  1ж  0:ж
 ** \note	 
*****************************************************************************/
#define 	EPWM_GET_ZERO_RIS_FLAG(EPWMn)	(((EPWM->RIS&(0x1<<(EPWMn+EPWM_RIS_ZIFn_Pos)))? 1:0))

/*****************************************************************************
 ** \brief	EPWM_GET_COUNTCMP0_RIS_FLAG
 **			ȡȽ0жԴ־
 ** \param [in]none
 ** \return  1ж  0:ж
 ** \note	 
*****************************************************************************/
#define 	EPWM_GET_COUNTCMP0_RIS_FLAG(EPWMn)	(((EPWM->RIS&(EPWM_RIS_DC0IF_Msk)))? 1:0)

/*****************************************************************************
 ** \brief	EPWM_GET_COUNTCMP1_RIS_FLAG
 **			ȡȽ1жԴ־
 ** \param [in]none
 ** \return  1ж  0:ж
 ** \note	 
*****************************************************************************/
#define 	EPWM_GET_COUNTCMP1_RIS_FLAG(EPWMn)	(((EPWM->RIS&(EPWM_RIS_DC1IF_Msk))? 1:0))

									 
/*****************************************************************************/
/* Global type definitions ('typedef') */
/*****************************************************************************/


/*****************************************************************************/
/* Global variable declarations ('extern', definition in C source) */
/*****************************************************************************/


/*****************************************************************************/
/* Global function prototypes ('extern', definition in C source) */
/*****************************************************************************/

/*****************************************************************************
 ** \brief	 EPWM_ConfigRunMode
 **			 EPWMģʽ
 ** \param [in] EpwmRunMode:   (1)EPWM_COUNT_UP_DOWN
							   (2)EPWM_COUNT_DOWN
							   (3)EPWM_OCU_ASYMMETRIC
							   (4)EPWM_OCU_SYMMETRIC
							   (5)EPWM_WFG_INDEPENDENT
							   (6)EPWM_WFG_COMPLEMENTARY
							   (7)EPWM_WFG_SYNCHRONIZED
							   (8)EPWM_OC_MODE_GROUP
							   (9)EPWM_OC_INDEPENDENT
 ** \return  none
 ** \note    
*****************************************************************************/
void EPWM_ConfigRunMode(uint32_t EpwmRunMode);

/*****************************************************************************
 ** \brief	 EPWM_ConfigChannelClk	
 ** \param [in] EPWMn : EPWM0 EPWM1 EPWM2 EPWM3 EPWM4 EPWM5 
 **				ClkDiv: (1)EPWM_CLK_DIV_1 
 **						(2)EPWM_CLK_DIV_2
 **						(2)EPWM_CLK_DIV_4
 **						(2)EPWM_CLK_DIV_8
 **						(2)EPWM_CLK_DIV_16
 **						(2)EPWM_CLK_DIV_32
 ** \return  none	
 ** \note 
 **	(1)ΪCLKPSC01ͬPWM0PWM1ͨ Դ˺ͳһCLKPSC01=0x01
 **     ҪķƵԼĴֵ. 
*****************************************************************************/
void EPWM_ConfigChannelClk(uint32_t EPWMn,uint32_t ClkDiv);

/*****************************************************************************
 ** \brief	 EPWM_ConfigChannelPeriod	
 **			 EPWMͨ
 ** \param [in] EPWMn : EPWM0 EPWM1 EPWM2 EPWM3 EPWM4 EPWM5 
 **				Period: 16λֵ
 ** \return none
 ** \note    
*****************************************************************************/
void EPWM_ConfigChannelPeriod(uint32_t EPWMn, uint32_t Period);

/*****************************************************************************
 ** \brief	 EPWM_ConfigChannelSymDuty	
 **			 öԳģʽµEPWMͨռձ
 ** \param [in] EPWMn : EPWM0 EPWM1 EPWM2 EPWM3 EPWM4 EPWM5 
 **			    Duty  : 16λȽֵ
 ** \return none
 ** \note   
*****************************************************************************/
void EPWM_ConfigChannelSymDuty(uint32_t EPWMn,uint32_t Duty);

/*****************************************************************************
 ** \brief	 EPWM_ConfigChannelAsymDuty	
 **			 ÷ǶԳģʽµ EPWMͨռձ
 ** \param [in] EPWMn : EPWM0 EPWM1 EPWM2 EPWM3 EPWM4 EPWM5 
 **			    UpCmp 	  : 16λϱȽֵ
 **			    DownCmp   : 16λ±Ƚֵ
 ** \return none
 ** \note   
*****************************************************************************/
void EPWM_ConfigChannelAsymDuty(uint32_t EPWMn,uint32_t UpCmp, uint32_t DownCmp);

/*****************************************************************************
 ** \brief	 EPWM_EnableOneShotMode	
 **			 ʹܵģʽ
 ** \param [in] EPWMnMask : EPWM_CH_0_MSK EPWM_CH_1_MSK EPWM_CH_2_MSK 
 **							EPWM_CH_3_MSK EPWM_CH_4_MSK EPWM_CH_5_MSK 
 ** \return none
 ** \note   
*****************************************************************************/
void EPWM_EnableOneShotMode(uint32_t EPWMnMask);
/*****************************************************************************
 ** \brief	 EPWM_EnableAutoLoadMode	
 **			 ʹģʽ
 ** \param [in] EPWMnMask : EPWM_CH_0_MSK EPWM_CH_1_MSK EPWM_CH_2_MSK 
 **							EPWM_CH_3_MSK EPWM_CH_4_MSK EPWM_CH_5_MSK 
 ** \return none
 ** \note   
*****************************************************************************/
void EPWM_EnableAutoLoadMode(uint32_t EPWMnMask);

/*****************************************************************************
 ** \brief	 EPWM_EnableReverseOutput	
 **			 
 ** \param [in] EPWMnMask : EPWM_CH_0_MSK EPWM_CH_1_MSK EPWM_CH_2_MSK 
 **							EPWM_CH_3_MSK EPWM_CH_4_MSK EPWM_CH_5_MSK 
 ** \return none
 ** \note   
*****************************************************************************/
void EPWM_EnableReverseOutput(uint32_t EPWMnMask);

/*****************************************************************************
 ** \brief	 EPWM_DisableReverseOutput	
 **			 رշ
 ** \param [in] EPWMnMask : EPWM_CH_0_MSK EPWM_CH_1_MSK EPWM_CH_2_MSK 
 **							EPWM_CH_3_MSK EPWM_CH_4_MSK EPWM_CH_5_MSK 
 ** \return none
 ** \note   
*****************************************************************************/
void EPWM_DisableReverseOutput(uint32_t EPWMnMask);

/*****************************************************************************
 ** \brief	 EPWM_EnableDeadZone	
 **			 
 ** \param [in] EPWMnMask : EPWM_CH_0_MSK EPWM_CH_1_MSK EPWM_CH_2_MSK 
 **							EPWM_CH_3_MSK EPWM_CH_4_MSK EPWM_CH_5_MSK 
 **				DeadZone : 0x00 ~ 0x3FF;
 ** \return none
 ** \note   
*****************************************************************************/
void EPWM_EnableDeadZone(uint32_t EPWMnMask, uint32_t DeadZone);

/*****************************************************************************
 ** \brief	 EPWM_DisableDeadZone	
 **			 ر
 ** \param [in] EPWMnMask : EPWM_CH_0_MSK EPWM_CH_1_MSK EPWM_CH_2_MSK 
 **							EPWM_CH_3_MSK EPWM_CH_4_MSK EPWM_CH_5_MSK 
 ** \return none
 ** \note   
*****************************************************************************/
void EPWM_DisableDeadZone(uint32_t EPWMnMask);

/*****************************************************************************
 ** \brief	 EPWM_EnableChannelRemap	
 **			 ͨӳ
 ** \param [in]  EPWMn : EPWM0 EPWM1 EPWM2 EPWM3 EPWM4 EPWM5 
 **				 IPGn  : IPG0 IPG1 IPG2 IPG3 IPG4 IPG5 
 ** \return none
 ** \note   IPGxָڲͨEPWMxָⲿͨ
*****************************************************************************/
void EPWM_EnableChannelRemap(uint32_t EPWMn, uint32_t IPGn);

/*****************************************************************************
 ** \brief	 EPWM_DisableChannelRemap	
 **			 رͨӳ
 ** \param [in]  none
 ** \return none
 ** \note   
*****************************************************************************/
void EPWM_DisableChannelRemap(void);

/*****************************************************************************
 ** \brief	 EPWM_Start	
 **			 EPWM
 ** \param [in]  EPWMnMask : EPWM_CH_0_MSK EPWM_CH_1_MSK EPWM_CH_2_MSK 
 **							EPWM_CH_3_MSK EPWM_CH_4_MSK EPWM_CH_5_MSK 
 ** \return none
 ** \note   
*****************************************************************************/
void EPWM_Start(uint32_t EPWMnMask);
/*****************************************************************************
 ** \brief	 EPWM_Stop	
 **			 رEPWM
 ** \param [in]  EPWMnMask : EPWM_CH_0_MSK EPWM_CH_1_MSK EPWM_CH_2_MSK 
 **							 EPWM_CH_3_MSK EPWM_CH_4_MSK EPWM_CH_5_MSK 
 ** \return none
 ** \note   
*****************************************************************************/
void EPWM_Stop(uint32_t EPWMnMask);
/*****************************************************************************
 ** \brief	 EPWM_ForceStop	
 **			 ǿƹرEPWM
 ** \param [in]  none
 ** \return none
 ** \note   ʹEPWM
*****************************************************************************/
void EPWM_ForceStop(void);

/*****************************************************************************
 ** \brief	 EPWM_EnableOutput
 **			 EPWMͨ
 ** \param [in]  EPWMnMask : EPWM_CH_0_MSK EPWM_CH_1_MSK EPWM_CH_2_MSK 
 **							 EPWM_CH_3_MSK EPWM_CH_4_MSK EPWM_CH_5_MSK 
 ** \return none
 ** \note  
*****************************************************************************/
void EPWM_EnableOutput(uint32_t EPWMnMask);
/*****************************************************************************
 ** \brief	 EPWM_DisableOutput
 **			 رEPWMͨ
 ** \param [in]  EPWMnMask : EPWM_CH_0_MSK EPWM_CH_1_MSK EPWM_CH_2_MSK 
 **							 EPWM_CH_3_MSK EPWM_CH_4_MSK EPWM_CH_5_MSK 
 ** \return none
 ** \note   
*****************************************************************************/
void EPWM_DisableOutput(uint32_t EPWMnMask);

/*****************************************************************************
 ** \brief	 EPWM_ConfigLoadAndIntMode
 **			 üطʽԼжϷʽ
 ** \param [in]  EPWMnMask : EPWM_CH_0_MSK EPWM_CH_1_MSK EPWM_CH_2_MSK 
 **							 EPWM_CH_3_MSK EPWM_CH_4_MSK EPWM_CH_5_MSK 
 **				 Mode: (1)EPWM_EACH_PERIOD_ZERO
 **					   (2)EPWM_EACH_ZERO
 **					   (3)EPWM_FIRST_ZERO_NEXT_PERIOD
 **					   (4)EPWM_EVERY_TWO_ZERO
 ** \return none
 ** \note   
*****************************************************************************/
void EPWM_ConfigLoadAndIntMode(uint32_t EPWMnMask, uint32_t Mode);

/*****************************************************************************
 ** \brief	 EPWM_EnableBrakeInt
 **			 ɲж
 ** \param [in] none	
 ** \return none
 ** \note  
*****************************************************************************/
void  EPWM_EnableBrakeInt(void);
/*****************************************************************************
 ** \brief	 EPWM_DisableBrakeInt
 **			 رɲж
 ** \param [in] none	
 ** \return none
 ** \note  
*****************************************************************************/
void  EPWM_DisableBrakeInt(void);

/*****************************************************************************
 ** \brief	 EPWM_EnableHallErrorInt
 **			 Hall״̬ж
 ** \param [in] none	
 ** \return none
 ** \note  
*****************************************************************************/
void  EPWM_EnableHallErrorInt(void);
/*****************************************************************************
 ** \brief	 EPWM_DisableHallErrorInt
 **			 رHall״̬ж
 ** \param [in] none	
 ** \return none
 ** \note  
*****************************************************************************/
void  EPWM_DisableHallErrorInt(void);

/*****************************************************************************
 ** \brief	 EPWM_EnableUpCmpInt
 **			 ϱȽж
 ** \param [in]  EPWMnMask : EPWM_CH_0_MSK EPWM_CH_1_MSK EPWM_CH_2_MSK 
 **							 EPWM_CH_3_MSK EPWM_CH_4_MSK EPWM_CH_5_MSK 	
 ** \return none
 ** \note  
*****************************************************************************/
void  EPWM_EnableUpCmpInt(uint32_t EPWMnMask);
/*****************************************************************************
 ** \brief	 EPWM_DisableUpCmpInt
 **			 رϱȽж
 ** \param [in]  EPWMnMask : EPWM_CH_0_MSK EPWM_CH_1_MSK EPWM_CH_2_MSK 
 **							 EPWM_CH_3_MSK EPWM_CH_4_MSK EPWM_CH_5_MSK 	
 ** \return none
 ** \note  
*****************************************************************************/
void  EPWM_DisableUpCmpInt(uint32_t EPWMnMask);
/*****************************************************************************
 ** \brief	 EPWM_GetUpCmpIntFlag
 **			ȡϱȽжʹܲжϱ־λ
 ** \param [in]EPWMn : EPWM0 EPWM1 EPWM2 EPWM3 EPWM4 EPWM5 	
 ** \return 1жʹܲҲж  0ж
 ** \note  
*****************************************************************************/
uint32_t  EPWM_GetUpCmpIntFlag(uint32_t EPWMn);
/*****************************************************************************
 ** \brief	 EPWM_ClearUpCmpIntFlag
 **			ϱȽжϱ־λ
 ** \param [in]EPWMn : EPWM0 EPWM1 EPWM2 EPWM3 EPWM4 EPWM5 	
 ** \return none
 ** \note  
*****************************************************************************/
void  EPWM_ClearUpCmpIntFlag(uint32_t EPWMn);

/*****************************************************************************
 ** \brief	 EPWM_EnableDownCmpInt
 **			 ±Ƚж
 ** \param [in] EPWMnMask : EPWM_CH_0_MSK EPWM_CH_1_MSK EPWM_CH_2_MSK 
 **							 EPWM_CH_3_MSK EPWM_CH_4_MSK EPWM_CH_5_MSK 
 ** \return none
 ** \note  
*****************************************************************************/
void  EPWM_EnableDownCmpInt(uint32_t EPWMnMask);
/*****************************************************************************
 ** \brief	 EPWM_DisableDownCmpInt
 **			 ر±Ƚж
 ** \param [in]  EPWMnMask : EPWM_CH_0_MSK EPWM_CH_1_MSK EPWM_CH_2_MSK 
 **							 EPWM_CH_3_MSK EPWM_CH_4_MSK EPWM_CH_5_MSK 
 ** \return none
 ** \note  
*****************************************************************************/
void  EPWM_DisableDownCmpInt(uint32_t EPWMnMask);
/*****************************************************************************
 ** \brief	 EPWM_GetDownCmpIntFlag
 **			ȡ±Ƚжʹܲжϱ־λ
 ** \param [in] EPWMn : EPWM0 EPWM1 EPWM2 EPWM3 EPWM4 EPWM5 	
 ** \return 1жʹܲҲж  0ж
 ** \note  
*****************************************************************************/
uint32_t  EPWM_GetDownCmpIntFlag(uint32_t EPWMn);
/*****************************************************************************
 ** \brief	 EPWM_ClearDownCmpIntFlag
 **			±Ƚжϱ־λ
 ** \param [in] EPWMn : EPWM0 EPWM1 EPWM2 EPWM3 EPWM4 EPWM5 	
 ** \return none
 ** \note  
*****************************************************************************/
void  EPWM_ClearDownCmpIntFlag(uint32_t EPWMn);


/*****************************************************************************
 ** \brief	 EPWM_EnablePeriodInt
 **			 ж
 ** \param [in]  EPWMnMask : EPWM_CH_0_MSK EPWM_CH_1_MSK EPWM_CH_2_MSK 
 **							 EPWM_CH_3_MSK EPWM_CH_4_MSK EPWM_CH_5_MSK 	
 ** \return none
 ** \note  
*****************************************************************************/
void  EPWM_EnablePeriodInt(uint32_t EPWMnMask);
/*****************************************************************************
 ** \brief	 EPWM_DisablePeriodInt
 **			 رж
 ** \param [in]  EPWMnMask : EPWM_CH_0_MSK EPWM_CH_1_MSK EPWM_CH_2_MSK 
 **							 EPWM_CH_3_MSK EPWM_CH_4_MSK EPWM_CH_5_MSK 	
 ** \return none
 ** \note  
*****************************************************************************/
void  EPWM_DisablePeriodInt(uint32_t EPWMnMask);
/*****************************************************************************
 ** \brief	 EPWM_GetPeriodIntFlag
 **			ȡжʹܲжϱ־λ
 ** \param [in] EPWMn : EPWM0 EPWM1 EPWM2 EPWM3 EPWM4 EPWM5 	
 ** \return 1жʹܲҲж  0ж
 ** \note  
*****************************************************************************/
uint32_t  EPWM_GetPeriodIntFlag(uint32_t EPWMn);
/*****************************************************************************
 ** \brief	 EPWM_ClearPeriodIntFlag
 **			жϱ־λ
 ** \param [in] EPWMn : EPWM0 EPWM1 EPWM2 EPWM3 EPWM4 EPWM5 	
 ** \return none
 ** \note  
*****************************************************************************/
void  EPWM_ClearPeriodIntFlag(uint32_t EPWMn);

/*****************************************************************************
 ** \brief	 EPWM_EnableZeroInt
 **			 ж
 ** \param [in]  EPWMnMask : EPWM_CH_0_MSK EPWM_CH_1_MSK EPWM_CH_2_MSK 
 **							 EPWM_CH_3_MSK EPWM_CH_4_MSK EPWM_CH_5_MSK 
 ** \return none
 ** \note  
*****************************************************************************/
void  EPWM_EnableZeroInt(uint32_t EPWMnMask);
/*****************************************************************************
 ** \brief	 EPWM_DisableZeroInt
 **			 رж
 ** \param [in] EPWMnMask : EPWM_CH_0_MSK EPWM_CH_1_MSK EPWM_CH_2_MSK 
 **							 EPWM_CH_3_MSK EPWM_CH_4_MSK EPWM_CH_5_MSK 	
 ** \return none
 ** \note  
*****************************************************************************/
void  EPWM_DisableZeroInt(uint32_t EPWMnMask);
/*****************************************************************************
 ** \brief	 EPWM_GetZeroIntFlag
 **			ȡжʹܲжϱ־λ
 ** \param [in] EPWMn : EPWM0 EPWM1 EPWM2 EPWM3 EPWM4 EPWM5 	
 ** \return 1жʹܲҲж  0ж
 ** \note  
*****************************************************************************/
uint32_t  EPWM_GetZeroIntFlag(uint32_t EPWMn);
/*****************************************************************************
 ** \brief	 EPWM_ClearZeroIntFlag
 **			жϱ־λ
 ** \param [in] EPWMn : EPWM0 EPWM1 EPWM2 EPWM3 EPWM4 EPWM5 	
 ** \return none
 ** \note  
*****************************************************************************/
void  EPWM_ClearZeroIntFlag(uint32_t EPWMn);

/*****************************************************************************
 ** \brief	 EPWM_EnableCountCmpInt
 **			 Ƚж
 ** \param [in] EPWMCmp: EPWM_CMPTG_0 EPWM_CMPTG_1
 ** \return none
 ** \note  
*****************************************************************************/
void  EPWM_EnableCountCmpInt(uint32_t EPWMCmp);
/*****************************************************************************
 ** \brief	 EPWM_DisableCountCmp0Int
 **			 رռȽж
 ** \param [in] EPWMCmp: EPWM_CMPTG_0 EPWM_CMPTG_1	
 ** \return none
 ** \note  
*****************************************************************************/
void  EPWM_DisableCountCmpInt(uint32_t EPWMCmp);
/*****************************************************************************
 ** \brief	 EPWM_GetCountCmpIntFlag
 **			ȡȽжʹܲжϱ־λ
 ** \param [in] EPWMCmp: EPWM_CMPTG_0 EPWM_CMPTG_1	
 ** \return 1жʹܲҲж  0ж
 ** \note  
*****************************************************************************/
uint32_t  EPWM_GetCountCmpIntFlag(uint32_t EPWMCmp);
/*****************************************************************************
 ** \brief	 EPWM_ClearCountCmp0IntFlag
 **			Ƚжϱ־λ
 ** \param [in] EPWMCmp: EPWM_CMPTG_0 EPWM_CMPTG_1	
 ** \return none
 ** \note  
*****************************************************************************/
void  EPWM_ClearCountCmpIntFlag(uint32_t EPWMCmp);




/*****************************************************************************
 ** \brief	 EPWM_EnableCountCmp1Int
 **			 Ƚ1ж
 ** \param [in] none	
 ** \return none
 ** \note  
*****************************************************************************/
void  EPWM_EnableCountCmp1Int(void);
/*****************************************************************************
 ** \brief	 EPWM_DisableCountCmp1Int
 **			 رռȽ1ж
 ** \param [in] none	
 ** \return none
 ** \note  
*****************************************************************************/
void  EPWM_DisableCountCmp1Int(void);
/*****************************************************************************
 ** \brief	 EPWM_GetCountCmp1IntFlag
 **			ȡȽ1жʹܲжϱ־λ
 ** \param [in] none	
 ** \return 1жʹܲҲж  0ж
 ** \note  
*****************************************************************************/
uint32_t  EPWM_GetCountCmp1IntFlag(void);
/*****************************************************************************
 ** \brief	 EPWM_ClearCountCmp1IntFlag
 **			Ƚ1жϱ־λ
 ** \param [in] none	
 ** \return none
 ** \note  
*****************************************************************************/
void  EPWM_ClearCountCmp1IntFlag(void);

/*****************************************************************************
 ** \brief	 EPWM_EnableZeroIntSum
 **			 жۼƹ
 ** \param [in] none	
 ** \return none
 ** \note  
*****************************************************************************/
void  EPWM_EnableZeroIntSum(void);

/*****************************************************************************
 ** \brief	 EPWM_DisableZeroIntSum
 **			 رжۼƹ
 ** \param [in] none	
 ** \return none
 ** \note  
*****************************************************************************/
void  EPWM_DisableZeroIntSum(void);
/*****************************************************************************
 ** \brief	 EPWM_ConfigZeroIntSum
 **			 жۼƴ
 ** \param [in] count : 0~0xf	
 ** \return none
 ** \note  
*****************************************************************************/
void  EPWM_ConfigZeroIntSum(uint32_t count);

#ifdef __cplusplus
}
#endif

#endif /*__EPWM_H_ */

