/*******************************************************************************
* Copyright (C) 2019 China Micro Semiconductor Limited Company. All Rights Reserved.
*
* This software is owned and published by:
* CMS LLC, No 2609-10, Taurus Plaza, TaoyuanRoad, NanshanDistrict, Shenzhen, China.
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software contains source code for use with CMS
* components. This software is licensed by CMS to be adapted only
* for use in systems utilizing CMS components. CMS shall not be
* responsible for misuse or illegal use of this software for devices not
* supported herein. CMS is providing this software "AS IS" and will
* not be responsible for issues arising from incorrect user implementation
* of the software.
*
* This software may be replicated in part or whole for the licensed use,
* with the restriction that this Disclaimer and Copyright notice must be
* included with each copy of this software, whether used in part or whole,
* at all times.
*/

/*****************************************************************************/
/** \file opa.h
**
** History:
** 
*****************************************************************************/
#ifndef __OPA_H_
#define __OPA_H_

#ifdef __cplusplus
extern "C"
{
#endif

/*****************************************************************************/
/* Include files */
/*****************************************************************************/
#include "cms32f0332.h"
/*****************************************************************************/
/* Global pre-processor symbols/macros ('#define') */
/*****************************************************************************/
/*----------------------------------------------------------------------------
 **OPA	ģʽ
-----------------------------------------------------------------------------*/
#define		OPA_MS_OPA			(0x00UL)					/*˷ģʽ*/
#define		OPA_MS_CMP			(0x01UL<<OPA_CON0_MS_Pos)	/*Ƚģʽ*/

/*----------------------------------------------------------------------------
 **OPA	ѡ
-----------------------------------------------------------------------------*/
#define		OPA_POSSEL_P		(0x00UL)					/*ѡOPA P*/
#define		OPA_POSSEL_BG		(0x01UL<<OPA_CON0_PS_Pos)	/*ѡ1.2V Bandgap*/	
/*----------------------------------------------------------------------------
 **OPA	ѡ
-----------------------------------------------------------------------------*/
#define		OPA_NEGSEL_N		(0x00UL)					/*ѡOPA N*/
#define		OPA_NEGSEL_N1		(0x01UL<<OPA_CON0_NS_Pos)	/*ѡOPA N1*/




/*****************************************************************************/
/* Global type definitions ('typedef') */
/*****************************************************************************/


/*****************************************************************************/
/* Global variable declarations ('extern', definition in C source) */
/*****************************************************************************/


/*****************************************************************************/
/* Global function prototypes ('extern', definition in C source) */
/*****************************************************************************/
/*****************************************************************************
 ** \brief	 OPA_ConfigRunMode
 **			 ˷ģʽ
 ** \param [in] opa :OPA0 OPA1
 **				mode: (1)OPA_MS_OPA
 **					  (2)OPA_MS_CMP
 ** \return  none
 ** \note    
 *****************************************************************************/
void OPA_ConfigRunMode(OPA_T *opa, uint32_t mode);

/*****************************************************************************
 ** \brief	 OPA_ConfigPositive
 **			 ˷
 ** \param [in] opa :OPA0 OPA1
 **				PositiveSource:  (1)OPA_POSSEL_P	:OPnP
 **								 (2)OPA_POSSEL_BG 
 ** \return  none
 ** \note    
 *****************************************************************************/
void OPA_ConfigPositive(OPA_T *opa, uint32_t PositiveSource);

/*****************************************************************************
 ** \brief	 OPA_ConfigNegative
 **			 ñȽ
 ** \param [in] opa :OPA0 OPA1
 **				NegativeSource:  (1)OPA_NEGSEL_N		:OPnN	
 **								 (2)OPA_NEGSEL_N1		:OPnN1	 
 ** \return  none
 ** \note   
 *****************************************************************************/
void OPA_ConfigNegative(OPA_T *opa, uint32_t NegativeSource);

/*****************************************************************************
 ** \brief	 OPA_EnableOutput
 **			 ʹ˷
 ** \param [in] opa :OPA0 OPA1
 ** \return  none
 ** \note   
 *****************************************************************************/
void OPA_EnableOutput(OPA_T *opa);
/*****************************************************************************
 ** \brief	 OPA_DisableOutput
 **			 ر˷
 ** \param [in] opa :OPA0 OPA1
 ** \return  none
 ** \note   
 *****************************************************************************/
void OPA_DisableOutput(OPA_T *opa);

/********************************************************************************
 ** \brief	 OPA_Start
 **			 OP
 ** \param [in] opa :OPA0 OPA1
 ** \return  none
 ** \note   
 ******************************************************************************/
void OPA_Start(OPA_T *opa);

/********************************************************************************
 ** \brief	 OPA_Stop
 **			 رOP
 ** \param [in] opa :OPA0 OPA1
 ** \return  none
 ** \note   
 ******************************************************************************/
void OPA_Stop(OPA_T *opa);


#ifdef __cplusplus
}
#endif

#endif /* __OPA_H_ */

