/*******************************************************************************
* Copyright (C) 2019 China Micro Semiconductor Limited Company. All Rights Reserved.
*
* This software is owned and published by:
* CMS LLC, No 2609-10, Taurus Plaza, TaoyuanRoad, NanshanDistrict, Shenzhen, China.
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software contains source code for use with CMS
* components. This software is licensed by CMS to be adapted only
* for use in systems utilizing CMS components. CMS shall not be
* responsible for misuse or illegal use of this software for devices not
* supported herein. CMS is providing this software "AS IS" and will
* not be responsible for issues arising from incorrect user implementation
* of the software.
*
* This software may be replicated in part or whole for the licensed use,
* with the restriction that this Disclaimer and Copyright notice must be
* included with each copy of this software, whether used in part or whole,
* at all times.
*/

/****************************************************************************/
/** \file demo_acmp.c
**
**	History:
**	
*****************************************************************************/
/****************************************************************************/
/*	include files
*****************************************************************************/
#include "demo_acmp.h"
/****************************************************************************/
/*	Local pre-processor symbols/macros('#define')
*****************************************************************************/

/****************************************************************************/
/*	Global variable definitions(declared in header file with 'extern')
*****************************************************************************/

/****************************************************************************/
/*	Local type definitions('typedef')
*****************************************************************************/

/****************************************************************************/
/*	Local variable  definitions('static')
*****************************************************************************/


/****************************************************************************/
/*	Local function prototypes('static')
*****************************************************************************/

/****************************************************************************/
/*	Function implementation - global ('extern') and local('static')
*****************************************************************************/

/*****************************************************************************
 ** \brief	ACMP_ACMP1_Config
 **			ʵACMP1ıȽϹ
 **			1˵ѹ(IO)>˵ѹ 1(ߵƽ)
 **			2˵ѹ(IO)<˵ѹ 0(͵ƽ)
 **			30䵽1 ж
 ** \param [in] none
 ** \return  none
 ** \note	
*****************************************************************************/
void ACMP_ACMP1_Config(void)
{
	/*
	(0)ACMPģʱ
	*/
	SYS_EnablePeripheralClk(SYS_CLK_ACMP_MSK);	
	
	/*
	(1)ACMP IO
	*/
	SYS_SET_IOCFG(IOP31CFG,SYS_IOCFG_P31_C1P0);			/*P31ΪACMP */
	SYS_SET_IOCFG(IOP25CFG,SYS_IOCFG_P25_C1O);			/*P25ΪACMP */	

	/*
	(2)ACMP 
	 */
	ACMP_ConfigPositive(ACMP1,ACMP_POSSEL_P0);
	/*
	(3)ACMP  
	*/	
	ACMP_ConfigNegative(ACMP1,ACMP_NEGSEL_VREF_BG, NULL);		/*ѡڲ1.2V׼ѹ*/
	
	/*
	 (4)˲
	*/
	 ACMP_EnableFilter(ACMP1,ACMP_NGCLK_65_TSYS);
	 /*
	 (5)رշ
	 */
	 ACMP_DisableReverseOutput(ACMP1);
	
	 /*
	 (6)ж
	 */	 
	 ACMP_EnableInt(ACMP1);									
	 NVIC_EnableIRQ(ACMP_IRQn);
	/*
	(7)жȼ
	*/	 	 
	 NVIC_SetPriority(ACMP_IRQn,0);
	/*
	(8)ó
	*/	 	 
	ACMP_DisableHYS(ACMP1);
	/*
	(9)ACMP
	*/
  	ACMP_Start(ACMP1);		
}

