/*******************************************************************************
* Copyright (C) 2019 China Micro Semiconductor Limited Company. All Rights Reserved.
*
* This software is owned and published by:
* CMS LLC, No 2609-10, Taurus Plaza, TaoyuanRoad, NanshanDistrict, Shenzhen, China.
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software contains source code for use with CMS
* components. This software is licensed by CMS to be adapted only
* for use in systems utilizing CMS components. CMS shall not be
* responsible for misuse or illegal use of this software for devices not
* supported herein. CMS is providing this software "AS IS" and will
* not be responsible for issues arising from incorrect user implementation
* of the software.
*
* This software may be replicated in part or whole for the licensed use,
* with the restriction that this Disclaimer and Copyright notice must be
* included with each copy of this software, whether used in part or whole,
* at all times.
*/

/****************************************************************************/
/** \file demo_adca.c
**
**	History:
**	
*****************************************************************************/
/****************************************************************************/
/*	include files
*****************************************************************************/
#include "demo_adca.h"

/****************************************************************************/
/*	Local pre-processor symbols/macros('#define')
*****************************************************************************/

/****************************************************************************/
/*	Global variable definitions(declared in header file with 'extern')
*****************************************************************************/

/****************************************************************************/
/*	Local type definitions('typedef')
*****************************************************************************/

/****************************************************************************/
/*	Local variable  definitions('static')
*****************************************************************************/


/****************************************************************************/
/*	Local function prototypes('static')
*****************************************************************************/

/****************************************************************************/
/*	Function implementation - global ('extern') and local('static')
*****************************************************************************/

/*****************************************************************************
 ** \brief	ADCA_Software_Trigger_Mode
 **			ADCAת
 ** \param [in] none
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCA_Software_Trigger_Mode(void)
{
	/*
	(1)ADCAʱ
	*/
	SYS_EnablePeripheralClk(SYS_CLK_ADCA_MSK);
	ADCA_ConfigRunMode(ADCA_CONVERT_SINGLE,ADCA_SWITCH_HARDWARE,ADCA_CLK_DIV_16);			/*ʹܵͨת*/
	ADCA_ConfigSampleTime(ADCA_SAMPLE_4);
	/*
	(2)ADCAͨʹ
	*/	
	ADCA_EnableChannel(ADCA_CH_10_MSK);					/*ѡAN10*/	
	SYS_SET_IOCFG(IOP15CFG,SYS_IOCFG_P15_AN10);			/*رP15ֹ*/
	
	/*
	(3)ADCAж
	*/			
	ADCA_EnableChannelInt(ADCA_CH_10_MSK);				/*AN10תж*/	
	NVIC_EnableIRQ(ADCA_IRQn);
	/*
	(4)ȼ
	*/	
	NVIC_SetPriority(ADCA_IRQn,2);					/*ȼ0~3 0ߡ3*/	
	/*
	(5)ADCA
	*/		
	ADCA_Start();			
}


