/*******************************************************************************
* Copyright (C) 2019 China Micro Semiconductor Limited Company. All Rights Reserved.
*
* This software is owned and published by:
* CMS LLC, No 2609-10, Taurus Plaza, TaoyuanRoad, NanshanDistrict, Shenzhen, China.
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software contains source code for use with CMS
* components. This software is licensed by CMS to be adapted only
* for use in systems utilizing CMS components. CMS shall not be
* responsible for misuse or illegal use of this software for devices not
* supported herein. CMS is providing this software "AS IS" and will
* not be responsible for issues arising from incorrect user implementation
* of the software.
*
* This software may be replicated in part or whole for the licensed use,
* with the restriction that this Disclaimer and Copyright notice must be
* included with each copy of this software, whether used in part or whole,
* at all times.
*/

/****************************************************************************/
/** \file demo_adc1.c
**
**	History:
**	
*****************************************************************************/
/****************************************************************************/
/*	include files
*****************************************************************************/
#include "demo_adcb.h"

/****************************************************************************/
/*	Local pre-processor symbols/macros('#define')
*****************************************************************************/

/****************************************************************************/
/*	Global variable definitions(declared in header file with 'extern')
*****************************************************************************/

/****************************************************************************/
/*	Local type definitions('typedef')
*****************************************************************************/

/****************************************************************************/
/*	Local variable  definitions('static')
*****************************************************************************/


/****************************************************************************/
/*	Local function prototypes('static')
*****************************************************************************/

/****************************************************************************/
/*	Function implementation - global ('extern') and local('static')
*****************************************************************************/

/*****************************************************************************
 ** \brief	ADCB_MCC_Mode
 **			ӲADCBͨת
 ** \param [in] none
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCB_MCC_Mode(void)
{
	/*
	(1)ADCBʱ
	*/
	SYS_EnablePeripheralClk(SYS_CLK_ADCB_MSK);
	ADCB_ConfigRunMode(ADCB_MODE_HIGH,ADCB_CONVERT_CONTINUOUS,ADCB_CLK_DIV_8,10);	/*ģʽ+ģʽ+8Ƶ+10.5 ADCClkʱ*/
	
	/*
	(2)ADCBתʽ
	*/		
	ADCB_EnableHardwareTrigger(ADCB_TG_INTNEL_ADCB);					/*ADCBת*/
	
	/*
	(3)ADCBͨʹ
	*/			
	ADCB_EnableScanChannel(ADCB_CH_13_MSK | ADCB_CH_17_MSK);				/*ѡתݷŵDATA[13]DATA[17]*/	
	SYS_SET_IOCFG(IOP21CFG,SYS_IOCFG_P21_AN13);						/*رP21ֹ*/	
	SYS_SET_IOCFG(IOP25CFG,SYS_IOCFG_P25_AN17);						/*رP25ֹ*/	
	
	/*
	(4)ADCBж
	*/		
	
	ADCB_EnableChannelInt(ADCB_CH_13_MSK | ADCB_CH_17_MSK);			/*AN13AN17תж*/	
	NVIC_EnableIRQ(ADCB_IRQn);
	/*
	(5)ȼ
	*/	
	NVIC_SetPriority(ADCB_IRQn,2);					/*ȼ0~3 0ߡ3*/	
	/*
	(6)ADCB
	*/		
	ADCB_Start();
	
	/*
	(9)GPIO
	*/
	SYS_SET_IOCFG(IOP15CFG, SYS_IOCFG_P15_GPIO);	
	GPIO_CONFIG_IO_MODE(GPIO1,GPIO_PIN_5,GPIO_MODE_OUTPUT);			/*ָʾADCBж*/
	GPIO1->DO_f.P5 = 0;		
}


