/*******************************************************************************
* Copyright (C) 2019 China Micro Semiconductor Limited Company. All Rights Reserved.
*
* This software is owned and published by:
* CMS LLC, No 2609-10, Taurus Plaza, TaoyuanRoad, NanshanDistrict, Shenzhen, China.
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software contains source code for use with CMS
* components. This software is licensed by CMS to be adapted only
* for use in systems utilizing CMS components. CMS shall not be
* responsible for misuse or illegal use of this software for devices not
* supported herein. CMS is providing this software "AS IS" and will
* not be responsible for issues arising from incorrect user implementation
* of the software.
*
* This software may be replicated in part or whole for the licensed use,
* with the restriction that this Disclaimer and Copyright notice must be
* included with each copy of this software, whether used in part or whole,
* at all times.
*/

/****************************************************************************/
/** \file demo_adcb.c
**
**	History:
**	
*****************************************************************************/
/****************************************************************************/
/*	include files
*****************************************************************************/
#include "demo_adcb.h"

/****************************************************************************/
/*	Local pre-processor symbols/macros('#define')
*****************************************************************************/

/****************************************************************************/
/*	Global variable definitions(declared in header file with 'extern')
*****************************************************************************/

/****************************************************************************/
/*	Local type definitions('typedef')
*****************************************************************************/

/****************************************************************************/
/*	Local variable  definitions('static')
*****************************************************************************/


/****************************************************************************/
/*	Local function prototypes('static')
*****************************************************************************/

/****************************************************************************/
/*	Function implementation - global ('extern') and local('static')
*****************************************************************************/

/*****************************************************************************
 ** \brief	ADCB_Software_Trigger_Mode
 **			ADCBת
 ** \param [in] none
 ** \return  none
 ** \note	
*****************************************************************************/
void ADCB_Software_Trigger_Mode(void)
{
	/*
	(1)ADCBʱ
	*/
	SYS_EnablePeripheralClk(SYS_CLK_ADCB_MSK);
	ADCB_ConfigRunMode(ADCB_MODE_HIGH,ADCB_CONVERT_SINGLE,ADCB_CLK_DIV_32,100);	/*ģʽ+ģʽ+32Ƶ+100.5 ADCClkʱ*/
	
	ADCB_ConfigChannelSwitchMode(ADCB_SWITCH_HARDWARE);	/*ӲԶл*/
	
	ADCB_DisableChargeAndDischarge();					/*رճ\ŵ繦*/
	
	ADCB_ConfigVREF(ADCB_VREFP_VDD,ADCB_VREFN_VSS);		/*òοԴ*/

	/*
	(2)ADCBͨʹ
	*/	
	ADCB_EnableScanChannel(ADCB_CH_17_MSK);				/*ѡAN17*/	
	SYS_SET_IOCFG(IOP25CFG,SYS_IOCFG_P25_AN17);			/*ر25ֹ*/
		
	/*
	(3)ADCBж
	*/		
	
	ADCB_EnableChannelInt(ADCB_CH_17_MSK);				/*AN17תж*/	
	NVIC_EnableIRQ(ADCB_IRQn);
	/*
	(4)ȼ
	*/	
	NVIC_SetPriority(ADCB_IRQn,2);					/*ȼ0~3 0ߡ3*/	
	/*
	(5)ADCB
	*/		
	ADCB_Start();
			
}


