/*******************************************************************************
* Copyright (C) 2019 China Micro Semiconductor Limited Company. All Rights Reserved.
*
* This software is owned and published by:
* CMS LLC, No 2609-10, Taurus Plaza, TaoyuanRoad, NanshanDistrict, Shenzhen, China.
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software contains source code for use with CMS
* components. This software is licensed by CMS to be adapted only
* for use in systems utilizing CMS components. CMS shall not be
* responsible for misuse or illegal use of this software for devices not
* supported herein. CMS is providing this software "AS IS" and will
* not be responsible for issues arising from incorrect user implementation
* of the software.
*
* This software may be replicated in part or whole for the licensed use,
* with the restriction that this Disclaimer and Copyright notice must be
* included with each copy of this software, whether used in part or whole,
* at all times.
*/

/****************************************************************************/
/** \file main.c
**
**	History:
**	
*****************************************************************************/
/****************************************************************************/
/*	include files
*****************************************************************************/
#include "cms32f0332.h"
#include "demo_timer.h"
/****************************************************************************/
/*	Local pre-processor symbols/macros('#define')
*****************************************************************************/

/****************************************************************************/
/*	Global variable definitions(declared in header file with 'extern')
*****************************************************************************/

/****************************************************************************/
/*	Local type definitions('typedef')
*****************************************************************************/

/****************************************************************************/
/*	Local variable  definitions('static')
*****************************************************************************/

/****************************************************************************/
/*	Local function prototypes('static')
*****************************************************************************/


/****************************************************************************/
/*	Function implementation - global ('extern') and local('static')
*****************************************************************************/

/*****************************************************************************
 ** \brief	 main
 **
 ** \param [in]  none   
 **
 ** \return 0
*****************************************************************************/
int main(void)
{			
 	SYS_DisableIOCFGProtect();			/*رIOCONFIGд*/
	SYS_DisableGPIO0Protect();			/*رGPIO0ؼĴд*/
	SYS_DisableGPIO1Protect();			/*رGPIO1ؼĴд*/
	SYS_DisableGPIO2Protect();			/*رGPIO2ؼĴд*/
	SYS_DisableGPIO3Protect();			/*رGPIO3ؼĴд*/
	SYS_DisableGPIO4Protect();			/*رGPIO4ؼĴд*/
	
	SYS_ConfigHSI(SYS_CLK_HSI_48M);		/*ڲʱΪ48Mhz*/
	SYS_EnableHSI();					/*ʱ*/
	SYS_ConfigAHBClock(SYS_CLK_SEL_HSI,SYS_CLK_DIV_1);	/*AHBʱΪʱӵ1Ƶ*/
	SYS_ConfigAPBClock(AHB_CLK_DIV_1);					/*APBʱΪAHBʱӵ1Ƶ*/
	SystemCoreClockUpdate();						/*ˢSystemCoreCLkSystemAPBClockֵ*/

	
	SYS_SET_IOCFG(IOP13CFG,SYS_IOCFG_P13_GPIO);
	GPIO1->DO_f.P3 = 0;
	GPIO_CONFIG_IO_MODE(GPIO1,GPIO_PIN_3,GPIO_MODE_OUTPUT);
	
	TMR1_Period_Count_Config();
		
	while(1)
	{	
		;
	}
		
}


















