/*******************************************************************************
* Copyright (C) 2019 China Micro Semiconductor Limited Company. All Rights Reserved.
*
* This software is owned and published by:
* CMS LLC, No 2609-10, Taurus Plaza, TaoyuanRoad, NanshanDistrict, Shenzhen, China.
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software contains source code for use with CMS
* components. This software is licensed by CMS to be adapted only
* for use in systems utilizing CMS components. CMS shall not be
* responsible for misuse or illegal use of this software for devices not
* supported herein. CMS is providing this software "AS IS" and will
* not be responsible for issues arising from incorrect user implementation
* of the software.
*
* This software may be replicated in part or whole for the licensed use,
* with the restriction that this Disclaimer and Copyright notice must be
* included with each copy of this software, whether used in part or whole,
* at all times.
*/

/****************************************************************************/
/** \file demo_timer.c
**
**	History:
**	
*****************************************************************************/
/****************************************************************************/
/*	include files
*****************************************************************************/
#include "demo_timer.h"

/****************************************************************************/
/*	Local pre-processor symbols/macros('#define')
*****************************************************************************/

/****************************************************************************/
/*	Global variable definitions(declared in header file with 'extern')
*****************************************************************************/

/****************************************************************************/
/*	Local type definitions('typedef')
*****************************************************************************/

/****************************************************************************/
/*	Local variable  definitions('static')
*****************************************************************************/


/****************************************************************************/
/*	Local function prototypes('static')
*****************************************************************************/

/****************************************************************************/
/*	Function implementation - global ('extern') and local('static')
*****************************************************************************/
/*****************************************************************************
 ** \brief	TMR2_Period_Count_Config
 **			
 ** \param [in] none
 ** \return  none
 ** \note	
*****************************************************************************/
void TMR2_Period_Count_Config(void)
{
	/*
	(1)Timer ʱ
	*/
	SYS_EnablePeripheralClk(SYS_CLK_TIMER23_MSK);		/*Timer2/3ʱ*/
	
	TMR_ConfigClk(TMR2,TMR_CLK_DIV_1);		/*TimerʱӷƵΪ 1Ƶ*/
	/*
	(2)Timer ģʽ
	*/	
	TMR_ConfigRunMode(TMR2,TMR_COUNT_PERIOD_MODE, TMR_BIT_16_MODE);		/*TimerΪ16λڼģʽ*/
	TMR_DisableOneShotMode(TMR2);										/*رյģʽ*/
	/*
	(3)Timer 
	*/		
	TMR_SetPeriod(TMR2,4800);				/* 4800*Fclk = 100us*/
	/*
	(4)Timer ж
	*/	
	TMR_EnableOverflowInt(TMR2);
	NVIC_EnableIRQ(TMR2_IRQn);	
	/*
	(5)Timer жȼ
	*/	
	NVIC_SetPriority(TMR2_IRQn,3);	
	/*
	(5)Timer
	*/	
	TMR_Start(TMR2);			
}





























