/*******************************************************************************
* Copyright (C) 2019 China Micro Semiconductor Limited Company. All Rights Reserved.
*
* This software is owned and published by:
* CMS LLC, No 2609-10, Taurus Plaza, TaoyuanRoad, NanshanDistrict, Shenzhen, China.
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software contains source code for use with CMS
* components. This software is licensed by CMS to be adapted only
* for use in systems utilizing CMS components. CMS shall not be
* responsible for misuse or illegal use of this software for devices not
* supported herein. CMS is providing this software "AS IS" and will
* not be responsible for issues arising from incorrect user implementation
* of the software.
*
* This software may be replicated in part or whole for the licensed use,
* with the restriction that this Disclaimer and Copyright notice must be
* included with each copy of this software, whether used in part or whole,
* at all times.
*/

/****************************************************************************/
/** \file demo_wwdt.c
**
**	History:
**	
*****************************************************************************/
/****************************************************************************/
/*	include files
*****************************************************************************/
#include "demo_wwdt.h"

/****************************************************************************/
/*	Local pre-processor symbols/macros('#define')
*****************************************************************************/

/****************************************************************************/
/*	Global variable definitions(declared in header file with 'extern')
*****************************************************************************/

/****************************************************************************/
/*	Local type definitions('typedef')
*****************************************************************************/

/****************************************************************************/
/*	Local variable  definitions('static')
*****************************************************************************/

/****************************************************************************/
/*	Local function prototypes('static')
*****************************************************************************/

/****************************************************************************/
/*	Function implementation - global ('extern') and local('static')
*****************************************************************************/
/*****************************************************************************
 ** \brief	WWDT_Config
 **			
 ** \param [in] none
 ** \return  none
 ** \note	
*****************************************************************************/
void WWDT_Config(void)
{
	/*
	(1)WWDT ʱ
	*/
	SYS_EnablePeripheralClk(SYS_CLK_WWDT_MSK);			/*WWDTʱ*/
	WWDT_ConfigClk(WWDT_CLK_DIV_64);	/*WWDTʱΪAPBʱӵ64Ƶ -> Fwwdt = 48Mhz/64 = 0.75MhzWWDTʱΪ 64Ƶϵ*1024 *64(0x3F~0) /48Mhz = 87.38ms*/

	/*
	(2)WWDTıȽֵ
	*/	
	WWDT_ConfigCompare(48);						/*WWDTıȽжʱ = (0x3F - 48) * 1.365ms87.38ms/64= 20.5ms */
	/*
	(3)WWDTDebug(ϵ㹦)ʱǷֹͣ
	*/		
	WWDT_DISABLE_DEBUG();				/*Debugϵ㹦ܣʱֹͣ*/
		
	/*
	(4)WWDTж
	*/		
	WWDT_EnableCompareInt();
	NVIC_EnableIRQ(WWDT_IRQn);	
	/*
	(5)WWDTжȼ
	*/	
	NVIC_SetPriority(WWDT_IRQn,3);	
	/*
	(6)TMR
	*/	
	WWDT_Start();	
	
}



